// Code generated by protoc-gen-go. DO NOT EDIT.
// source: analysis_service/analysis_service.proto

package analysis_service

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	timestamp "github.com/golang/protobuf/ptypes/timestamp"
	api "go.chromium.org/chromiumos/infra/proto/go/chromite/api"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

// Requests and responses are sent to the Artifacts Analysis Service on a single
// Pub/Sub topic; thus, the type of the request and response need to be encoded
// in the Pub/Sub message. This is done with this wrapper proto.
//
// This proto should only be used by a recipes module to do the wrapping and a
// layer on the Analysis Server to do the unwrapping.
//
// NEXT ID: 48;
type AnalysisServiceEvent struct {
	// The Buildbucket id for the build doing the request and response.
	BuildId int64 `protobuf:"varint,42,opt,name=build_id,json=buildId,proto3" json:"build_id,omitempty"`
	// The name of the step doing the request and response. Must be the same
	// format as Buildbucket Build proto's step name (i.e. parent and child step
	// names are separated by the "|" character).
	StepName string `protobuf:"bytes,43,opt,name=step_name,json=stepName,proto3" json:"step_name,omitempty"`
	// The time the request and response were sent and recieved by the caller.
	RequestTime  *timestamp.Timestamp `protobuf:"bytes,3,opt,name=request_time,json=requestTime,proto3" json:"request_time,omitempty"`
	ResponseTime *timestamp.Timestamp `protobuf:"bytes,4,opt,name=response_time,json=responseTime,proto3" json:"response_time,omitempty"`
	// The request to upload.
	//
	// Types that are valid to be assigned to Request:
	//	*AnalysisServiceEvent_InstallPackagesRequest
	//	*AnalysisServiceEvent_BundleRequest
	//	*AnalysisServiceEvent_BundleVmFilesRequest
	//	*AnalysisServiceEvent_BinhostGetRequest
	//	*AnalysisServiceEvent_AclArgsRequest
	//	*AnalysisServiceEvent_PrepareBinhostUploadsRequest
	//	*AnalysisServiceEvent_SetBinhostRequest
	//	*AnalysisServiceEvent_RegenBuildCacheRequest
	//	*AnalysisServiceEvent_GetBuildDependencyGraphRequest
	//	*AnalysisServiceEvent_CreateImageRequest
	//	*AnalysisServiceEvent_TestImageRequest
	//	*AnalysisServiceEvent_CreateRequest
	//	*AnalysisServiceEvent_UpdateRequest
	//	*AnalysisServiceEvent_SysrootCreateRequest
	//	*AnalysisServiceEvent_InstallToolchainRequest
	//	*AnalysisServiceEvent_BuildTargetUnitTestRequest
	//	*AnalysisServiceEvent_ChromiteUnitTestRequest
	//	*AnalysisServiceEvent_DebugInfoTestRequest
	//	*AnalysisServiceEvent_VmTestRequest
	//	*AnalysisServiceEvent_MoblabVmTestRequest
	//	*AnalysisServiceEvent_UprevPackagesRequest
	//	*AnalysisServiceEvent_GetBestVisibleRequest
	//	*AnalysisServiceEvent_GetChromeVersionRequest
	Request isAnalysisServiceEvent_Request `protobuf_oneof:"request"`
	// The response to upload.
	//
	// Types that are valid to be assigned to Response:
	//	*AnalysisServiceEvent_InstallPackagesResponse
	//	*AnalysisServiceEvent_BundleResponse
	//	*AnalysisServiceEvent_BinhostGetResponse
	//	*AnalysisServiceEvent_AclArgsResponse
	//	*AnalysisServiceEvent_PrepareBinhostUploadsResponse
	//	*AnalysisServiceEvent_SetBinhostResponse
	//	*AnalysisServiceEvent_RegenBuildCacheResponse
	//	*AnalysisServiceEvent_GetBuildDependencyGraphResponse
	//	*AnalysisServiceEvent_CreateImageResult
	//	*AnalysisServiceEvent_TestImageResult
	//	*AnalysisServiceEvent_CreateResponse
	//	*AnalysisServiceEvent_UpdateResponse
	//	*AnalysisServiceEvent_SysrootCreateResponse
	//	*AnalysisServiceEvent_InstallToolchainResponse
	//	*AnalysisServiceEvent_BuildTargetUnitTestResponse
	//	*AnalysisServiceEvent_ChromiteUnitTestResponse
	//	*AnalysisServiceEvent_DebugInfoTestResponse
	//	*AnalysisServiceEvent_VmTestResponse
	//	*AnalysisServiceEvent_MoblabVmTestResponse
	//	*AnalysisServiceEvent_UprevPackagesResponse
	//	*AnalysisServiceEvent_GetBestVisibleResponse
	//	*AnalysisServiceEvent_GetChromeVersionResponse
	Response             isAnalysisServiceEvent_Response `protobuf_oneof:"response"`
	XXX_NoUnkeyedLiteral struct{}                        `json:"-"`
	XXX_unrecognized     []byte                          `json:"-"`
	XXX_sizecache        int32                           `json:"-"`
}

func (m *AnalysisServiceEvent) Reset()         { *m = AnalysisServiceEvent{} }
func (m *AnalysisServiceEvent) String() string { return proto.CompactTextString(m) }
func (*AnalysisServiceEvent) ProtoMessage()    {}
func (*AnalysisServiceEvent) Descriptor() ([]byte, []int) {
	return fileDescriptor_92c22ab0fbdfe575, []int{0}
}

func (m *AnalysisServiceEvent) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AnalysisServiceEvent.Unmarshal(m, b)
}
func (m *AnalysisServiceEvent) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AnalysisServiceEvent.Marshal(b, m, deterministic)
}
func (m *AnalysisServiceEvent) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AnalysisServiceEvent.Merge(m, src)
}
func (m *AnalysisServiceEvent) XXX_Size() int {
	return xxx_messageInfo_AnalysisServiceEvent.Size(m)
}
func (m *AnalysisServiceEvent) XXX_DiscardUnknown() {
	xxx_messageInfo_AnalysisServiceEvent.DiscardUnknown(m)
}

var xxx_messageInfo_AnalysisServiceEvent proto.InternalMessageInfo

func (m *AnalysisServiceEvent) GetBuildId() int64 {
	if m != nil {
		return m.BuildId
	}
	return 0
}

func (m *AnalysisServiceEvent) GetStepName() string {
	if m != nil {
		return m.StepName
	}
	return ""
}

func (m *AnalysisServiceEvent) GetRequestTime() *timestamp.Timestamp {
	if m != nil {
		return m.RequestTime
	}
	return nil
}

func (m *AnalysisServiceEvent) GetResponseTime() *timestamp.Timestamp {
	if m != nil {
		return m.ResponseTime
	}
	return nil
}

type isAnalysisServiceEvent_Request interface {
	isAnalysisServiceEvent_Request()
}

type AnalysisServiceEvent_InstallPackagesRequest struct {
	InstallPackagesRequest *api.InstallPackagesRequest `protobuf:"bytes,1,opt,name=install_packages_request,json=installPackagesRequest,proto3,oneof"`
}

type AnalysisServiceEvent_BundleRequest struct {
	BundleRequest *api.BundleRequest `protobuf:"bytes,5,opt,name=bundle_request,json=bundleRequest,proto3,oneof"`
}

type AnalysisServiceEvent_BundleVmFilesRequest struct {
	BundleVmFilesRequest *api.BundleVmFilesRequest `protobuf:"bytes,7,opt,name=bundle_vm_files_request,json=bundleVmFilesRequest,proto3,oneof"`
}

type AnalysisServiceEvent_BinhostGetRequest struct {
	BinhostGetRequest *api.BinhostGetRequest `protobuf:"bytes,8,opt,name=binhost_get_request,json=binhostGetRequest,proto3,oneof"`
}

type AnalysisServiceEvent_AclArgsRequest struct {
	AclArgsRequest *api.AclArgsRequest `protobuf:"bytes,10,opt,name=acl_args_request,json=aclArgsRequest,proto3,oneof"`
}

type AnalysisServiceEvent_PrepareBinhostUploadsRequest struct {
	PrepareBinhostUploadsRequest *api.PrepareBinhostUploadsRequest `protobuf:"bytes,12,opt,name=prepare_binhost_uploads_request,json=prepareBinhostUploadsRequest,proto3,oneof"`
}

type AnalysisServiceEvent_SetBinhostRequest struct {
	SetBinhostRequest *api.SetBinhostRequest `protobuf:"bytes,14,opt,name=set_binhost_request,json=setBinhostRequest,proto3,oneof"`
}

type AnalysisServiceEvent_RegenBuildCacheRequest struct {
	RegenBuildCacheRequest *api.RegenBuildCacheRequest `protobuf:"bytes,16,opt,name=regen_build_cache_request,json=regenBuildCacheRequest,proto3,oneof"`
}

type AnalysisServiceEvent_GetBuildDependencyGraphRequest struct {
	GetBuildDependencyGraphRequest *api.GetBuildDependencyGraphRequest `protobuf:"bytes,18,opt,name=get_build_dependency_graph_request,json=getBuildDependencyGraphRequest,proto3,oneof"`
}

type AnalysisServiceEvent_CreateImageRequest struct {
	CreateImageRequest *api.CreateImageRequest `protobuf:"bytes,20,opt,name=create_image_request,json=createImageRequest,proto3,oneof"`
}

type AnalysisServiceEvent_TestImageRequest struct {
	TestImageRequest *api.TestImageRequest `protobuf:"bytes,22,opt,name=test_image_request,json=testImageRequest,proto3,oneof"`
}

type AnalysisServiceEvent_CreateRequest struct {
	CreateRequest *api.CreateRequest `protobuf:"bytes,24,opt,name=create_request,json=createRequest,proto3,oneof"`
}

type AnalysisServiceEvent_UpdateRequest struct {
	UpdateRequest *api.UpdateRequest `protobuf:"bytes,26,opt,name=update_request,json=updateRequest,proto3,oneof"`
}

type AnalysisServiceEvent_SysrootCreateRequest struct {
	SysrootCreateRequest *api.SysrootCreateRequest `protobuf:"bytes,28,opt,name=sysroot_create_request,json=sysrootCreateRequest,proto3,oneof"`
}

type AnalysisServiceEvent_InstallToolchainRequest struct {
	InstallToolchainRequest *api.InstallToolchainRequest `protobuf:"bytes,30,opt,name=install_toolchain_request,json=installToolchainRequest,proto3,oneof"`
}

type AnalysisServiceEvent_BuildTargetUnitTestRequest struct {
	BuildTargetUnitTestRequest *api.BuildTargetUnitTestRequest `protobuf:"bytes,32,opt,name=build_target_unit_test_request,json=buildTargetUnitTestRequest,proto3,oneof"`
}

type AnalysisServiceEvent_ChromiteUnitTestRequest struct {
	ChromiteUnitTestRequest *api.ChromiteUnitTestRequest `protobuf:"bytes,34,opt,name=chromite_unit_test_request,json=chromiteUnitTestRequest,proto3,oneof"`
}

type AnalysisServiceEvent_DebugInfoTestRequest struct {
	DebugInfoTestRequest *api.DebugInfoTestRequest `protobuf:"bytes,36,opt,name=debug_info_test_request,json=debugInfoTestRequest,proto3,oneof"`
}

type AnalysisServiceEvent_VmTestRequest struct {
	VmTestRequest *api.VmTestRequest `protobuf:"bytes,38,opt,name=vm_test_request,json=vmTestRequest,proto3,oneof"`
}

type AnalysisServiceEvent_MoblabVmTestRequest struct {
	MoblabVmTestRequest *api.MoblabVmTestRequest `protobuf:"bytes,40,opt,name=moblab_vm_test_request,json=moblabVmTestRequest,proto3,oneof"`
}

type AnalysisServiceEvent_UprevPackagesRequest struct {
	UprevPackagesRequest *api.UprevPackagesRequest `protobuf:"bytes,44,opt,name=uprev_packages_request,json=uprevPackagesRequest,proto3,oneof"`
}

type AnalysisServiceEvent_GetBestVisibleRequest struct {
	GetBestVisibleRequest *api.GetBestVisibleRequest `protobuf:"bytes,46,opt,name=get_best_visible_request,json=getBestVisibleRequest,proto3,oneof"`
}

type AnalysisServiceEvent_GetChromeVersionRequest struct {
	GetChromeVersionRequest *api.GetChromeVersionRequest `protobuf:"bytes,48,opt,name=get_chrome_version_request,json=getChromeVersionRequest,proto3,oneof"`
}

func (*AnalysisServiceEvent_InstallPackagesRequest) isAnalysisServiceEvent_Request() {}

func (*AnalysisServiceEvent_BundleRequest) isAnalysisServiceEvent_Request() {}

func (*AnalysisServiceEvent_BundleVmFilesRequest) isAnalysisServiceEvent_Request() {}

func (*AnalysisServiceEvent_BinhostGetRequest) isAnalysisServiceEvent_Request() {}

func (*AnalysisServiceEvent_AclArgsRequest) isAnalysisServiceEvent_Request() {}

func (*AnalysisServiceEvent_PrepareBinhostUploadsRequest) isAnalysisServiceEvent_Request() {}

func (*AnalysisServiceEvent_SetBinhostRequest) isAnalysisServiceEvent_Request() {}

func (*AnalysisServiceEvent_RegenBuildCacheRequest) isAnalysisServiceEvent_Request() {}

func (*AnalysisServiceEvent_GetBuildDependencyGraphRequest) isAnalysisServiceEvent_Request() {}

func (*AnalysisServiceEvent_CreateImageRequest) isAnalysisServiceEvent_Request() {}

func (*AnalysisServiceEvent_TestImageRequest) isAnalysisServiceEvent_Request() {}

func (*AnalysisServiceEvent_CreateRequest) isAnalysisServiceEvent_Request() {}

func (*AnalysisServiceEvent_UpdateRequest) isAnalysisServiceEvent_Request() {}

func (*AnalysisServiceEvent_SysrootCreateRequest) isAnalysisServiceEvent_Request() {}

func (*AnalysisServiceEvent_InstallToolchainRequest) isAnalysisServiceEvent_Request() {}

func (*AnalysisServiceEvent_BuildTargetUnitTestRequest) isAnalysisServiceEvent_Request() {}

func (*AnalysisServiceEvent_ChromiteUnitTestRequest) isAnalysisServiceEvent_Request() {}

func (*AnalysisServiceEvent_DebugInfoTestRequest) isAnalysisServiceEvent_Request() {}

func (*AnalysisServiceEvent_VmTestRequest) isAnalysisServiceEvent_Request() {}

func (*AnalysisServiceEvent_MoblabVmTestRequest) isAnalysisServiceEvent_Request() {}

func (*AnalysisServiceEvent_UprevPackagesRequest) isAnalysisServiceEvent_Request() {}

func (*AnalysisServiceEvent_GetBestVisibleRequest) isAnalysisServiceEvent_Request() {}

func (*AnalysisServiceEvent_GetChromeVersionRequest) isAnalysisServiceEvent_Request() {}

func (m *AnalysisServiceEvent) GetRequest() isAnalysisServiceEvent_Request {
	if m != nil {
		return m.Request
	}
	return nil
}

func (m *AnalysisServiceEvent) GetInstallPackagesRequest() *api.InstallPackagesRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_InstallPackagesRequest); ok {
		return x.InstallPackagesRequest
	}
	return nil
}

func (m *AnalysisServiceEvent) GetBundleRequest() *api.BundleRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_BundleRequest); ok {
		return x.BundleRequest
	}
	return nil
}

func (m *AnalysisServiceEvent) GetBundleVmFilesRequest() *api.BundleVmFilesRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_BundleVmFilesRequest); ok {
		return x.BundleVmFilesRequest
	}
	return nil
}

func (m *AnalysisServiceEvent) GetBinhostGetRequest() *api.BinhostGetRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_BinhostGetRequest); ok {
		return x.BinhostGetRequest
	}
	return nil
}

func (m *AnalysisServiceEvent) GetAclArgsRequest() *api.AclArgsRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_AclArgsRequest); ok {
		return x.AclArgsRequest
	}
	return nil
}

func (m *AnalysisServiceEvent) GetPrepareBinhostUploadsRequest() *api.PrepareBinhostUploadsRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_PrepareBinhostUploadsRequest); ok {
		return x.PrepareBinhostUploadsRequest
	}
	return nil
}

func (m *AnalysisServiceEvent) GetSetBinhostRequest() *api.SetBinhostRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_SetBinhostRequest); ok {
		return x.SetBinhostRequest
	}
	return nil
}

func (m *AnalysisServiceEvent) GetRegenBuildCacheRequest() *api.RegenBuildCacheRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_RegenBuildCacheRequest); ok {
		return x.RegenBuildCacheRequest
	}
	return nil
}

func (m *AnalysisServiceEvent) GetGetBuildDependencyGraphRequest() *api.GetBuildDependencyGraphRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_GetBuildDependencyGraphRequest); ok {
		return x.GetBuildDependencyGraphRequest
	}
	return nil
}

func (m *AnalysisServiceEvent) GetCreateImageRequest() *api.CreateImageRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_CreateImageRequest); ok {
		return x.CreateImageRequest
	}
	return nil
}

func (m *AnalysisServiceEvent) GetTestImageRequest() *api.TestImageRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_TestImageRequest); ok {
		return x.TestImageRequest
	}
	return nil
}

func (m *AnalysisServiceEvent) GetCreateRequest() *api.CreateRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_CreateRequest); ok {
		return x.CreateRequest
	}
	return nil
}

func (m *AnalysisServiceEvent) GetUpdateRequest() *api.UpdateRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_UpdateRequest); ok {
		return x.UpdateRequest
	}
	return nil
}

func (m *AnalysisServiceEvent) GetSysrootCreateRequest() *api.SysrootCreateRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_SysrootCreateRequest); ok {
		return x.SysrootCreateRequest
	}
	return nil
}

func (m *AnalysisServiceEvent) GetInstallToolchainRequest() *api.InstallToolchainRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_InstallToolchainRequest); ok {
		return x.InstallToolchainRequest
	}
	return nil
}

func (m *AnalysisServiceEvent) GetBuildTargetUnitTestRequest() *api.BuildTargetUnitTestRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_BuildTargetUnitTestRequest); ok {
		return x.BuildTargetUnitTestRequest
	}
	return nil
}

func (m *AnalysisServiceEvent) GetChromiteUnitTestRequest() *api.ChromiteUnitTestRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_ChromiteUnitTestRequest); ok {
		return x.ChromiteUnitTestRequest
	}
	return nil
}

func (m *AnalysisServiceEvent) GetDebugInfoTestRequest() *api.DebugInfoTestRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_DebugInfoTestRequest); ok {
		return x.DebugInfoTestRequest
	}
	return nil
}

func (m *AnalysisServiceEvent) GetVmTestRequest() *api.VmTestRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_VmTestRequest); ok {
		return x.VmTestRequest
	}
	return nil
}

func (m *AnalysisServiceEvent) GetMoblabVmTestRequest() *api.MoblabVmTestRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_MoblabVmTestRequest); ok {
		return x.MoblabVmTestRequest
	}
	return nil
}

func (m *AnalysisServiceEvent) GetUprevPackagesRequest() *api.UprevPackagesRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_UprevPackagesRequest); ok {
		return x.UprevPackagesRequest
	}
	return nil
}

func (m *AnalysisServiceEvent) GetGetBestVisibleRequest() *api.GetBestVisibleRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_GetBestVisibleRequest); ok {
		return x.GetBestVisibleRequest
	}
	return nil
}

func (m *AnalysisServiceEvent) GetGetChromeVersionRequest() *api.GetChromeVersionRequest {
	if x, ok := m.GetRequest().(*AnalysisServiceEvent_GetChromeVersionRequest); ok {
		return x.GetChromeVersionRequest
	}
	return nil
}

type isAnalysisServiceEvent_Response interface {
	isAnalysisServiceEvent_Response()
}

type AnalysisServiceEvent_InstallPackagesResponse struct {
	InstallPackagesResponse *api.InstallPackagesResponse `protobuf:"bytes,2,opt,name=install_packages_response,json=installPackagesResponse,proto3,oneof"`
}

type AnalysisServiceEvent_BundleResponse struct {
	BundleResponse *api.BundleResponse `protobuf:"bytes,6,opt,name=bundle_response,json=bundleResponse,proto3,oneof"`
}

type AnalysisServiceEvent_BinhostGetResponse struct {
	BinhostGetResponse *api.BinhostGetResponse `protobuf:"bytes,9,opt,name=binhost_get_response,json=binhostGetResponse,proto3,oneof"`
}

type AnalysisServiceEvent_AclArgsResponse struct {
	AclArgsResponse *api.AclArgsResponse `protobuf:"bytes,11,opt,name=acl_args_response,json=aclArgsResponse,proto3,oneof"`
}

type AnalysisServiceEvent_PrepareBinhostUploadsResponse struct {
	PrepareBinhostUploadsResponse *api.PrepareBinhostUploadsResponse `protobuf:"bytes,13,opt,name=prepare_binhost_uploads_response,json=prepareBinhostUploadsResponse,proto3,oneof"`
}

type AnalysisServiceEvent_SetBinhostResponse struct {
	SetBinhostResponse *api.SetBinhostResponse `protobuf:"bytes,15,opt,name=set_binhost_response,json=setBinhostResponse,proto3,oneof"`
}

type AnalysisServiceEvent_RegenBuildCacheResponse struct {
	RegenBuildCacheResponse *api.RegenBuildCacheResponse `protobuf:"bytes,17,opt,name=regen_build_cache_response,json=regenBuildCacheResponse,proto3,oneof"`
}

type AnalysisServiceEvent_GetBuildDependencyGraphResponse struct {
	GetBuildDependencyGraphResponse *api.GetBuildDependencyGraphResponse `protobuf:"bytes,19,opt,name=get_build_dependency_graph_response,json=getBuildDependencyGraphResponse,proto3,oneof"`
}

type AnalysisServiceEvent_CreateImageResult struct {
	CreateImageResult *api.CreateImageResult `protobuf:"bytes,21,opt,name=create_image_result,json=createImageResult,proto3,oneof"`
}

type AnalysisServiceEvent_TestImageResult struct {
	TestImageResult *api.TestImageResult `protobuf:"bytes,23,opt,name=test_image_result,json=testImageResult,proto3,oneof"`
}

type AnalysisServiceEvent_CreateResponse struct {
	CreateResponse *api.CreateResponse `protobuf:"bytes,25,opt,name=create_response,json=createResponse,proto3,oneof"`
}

type AnalysisServiceEvent_UpdateResponse struct {
	UpdateResponse *api.UpdateResponse `protobuf:"bytes,27,opt,name=update_response,json=updateResponse,proto3,oneof"`
}

type AnalysisServiceEvent_SysrootCreateResponse struct {
	SysrootCreateResponse *api.SysrootCreateResponse `protobuf:"bytes,29,opt,name=sysroot_create_response,json=sysrootCreateResponse,proto3,oneof"`
}

type AnalysisServiceEvent_InstallToolchainResponse struct {
	InstallToolchainResponse *api.InstallToolchainResponse `protobuf:"bytes,31,opt,name=install_toolchain_response,json=installToolchainResponse,proto3,oneof"`
}

type AnalysisServiceEvent_BuildTargetUnitTestResponse struct {
	BuildTargetUnitTestResponse *api.BuildTargetUnitTestResponse `protobuf:"bytes,33,opt,name=build_target_unit_test_response,json=buildTargetUnitTestResponse,proto3,oneof"`
}

type AnalysisServiceEvent_ChromiteUnitTestResponse struct {
	ChromiteUnitTestResponse *api.ChromiteUnitTestResponse `protobuf:"bytes,35,opt,name=chromite_unit_test_response,json=chromiteUnitTestResponse,proto3,oneof"`
}

type AnalysisServiceEvent_DebugInfoTestResponse struct {
	DebugInfoTestResponse *api.DebugInfoTestResponse `protobuf:"bytes,37,opt,name=debug_info_test_response,json=debugInfoTestResponse,proto3,oneof"`
}

type AnalysisServiceEvent_VmTestResponse struct {
	VmTestResponse *api.VmTestResponse `protobuf:"bytes,39,opt,name=vm_test_response,json=vmTestResponse,proto3,oneof"`
}

type AnalysisServiceEvent_MoblabVmTestResponse struct {
	MoblabVmTestResponse *api.MoblabVmTestResponse `protobuf:"bytes,41,opt,name=moblab_vm_test_response,json=moblabVmTestResponse,proto3,oneof"`
}

type AnalysisServiceEvent_UprevPackagesResponse struct {
	UprevPackagesResponse *api.UprevPackagesResponse `protobuf:"bytes,45,opt,name=uprev_packages_response,json=uprevPackagesResponse,proto3,oneof"`
}

type AnalysisServiceEvent_GetBestVisibleResponse struct {
	GetBestVisibleResponse *api.GetBestVisibleResponse `protobuf:"bytes,47,opt,name=get_best_visible_response,json=getBestVisibleResponse,proto3,oneof"`
}

type AnalysisServiceEvent_GetChromeVersionResponse struct {
	GetChromeVersionResponse *api.GetChromeVersionResponse `protobuf:"bytes,49,opt,name=get_chrome_version_response,json=getChromeVersionResponse,proto3,oneof"`
}

func (*AnalysisServiceEvent_InstallPackagesResponse) isAnalysisServiceEvent_Response() {}

func (*AnalysisServiceEvent_BundleResponse) isAnalysisServiceEvent_Response() {}

func (*AnalysisServiceEvent_BinhostGetResponse) isAnalysisServiceEvent_Response() {}

func (*AnalysisServiceEvent_AclArgsResponse) isAnalysisServiceEvent_Response() {}

func (*AnalysisServiceEvent_PrepareBinhostUploadsResponse) isAnalysisServiceEvent_Response() {}

func (*AnalysisServiceEvent_SetBinhostResponse) isAnalysisServiceEvent_Response() {}

func (*AnalysisServiceEvent_RegenBuildCacheResponse) isAnalysisServiceEvent_Response() {}

func (*AnalysisServiceEvent_GetBuildDependencyGraphResponse) isAnalysisServiceEvent_Response() {}

func (*AnalysisServiceEvent_CreateImageResult) isAnalysisServiceEvent_Response() {}

func (*AnalysisServiceEvent_TestImageResult) isAnalysisServiceEvent_Response() {}

func (*AnalysisServiceEvent_CreateResponse) isAnalysisServiceEvent_Response() {}

func (*AnalysisServiceEvent_UpdateResponse) isAnalysisServiceEvent_Response() {}

func (*AnalysisServiceEvent_SysrootCreateResponse) isAnalysisServiceEvent_Response() {}

func (*AnalysisServiceEvent_InstallToolchainResponse) isAnalysisServiceEvent_Response() {}

func (*AnalysisServiceEvent_BuildTargetUnitTestResponse) isAnalysisServiceEvent_Response() {}

func (*AnalysisServiceEvent_ChromiteUnitTestResponse) isAnalysisServiceEvent_Response() {}

func (*AnalysisServiceEvent_DebugInfoTestResponse) isAnalysisServiceEvent_Response() {}

func (*AnalysisServiceEvent_VmTestResponse) isAnalysisServiceEvent_Response() {}

func (*AnalysisServiceEvent_MoblabVmTestResponse) isAnalysisServiceEvent_Response() {}

func (*AnalysisServiceEvent_UprevPackagesResponse) isAnalysisServiceEvent_Response() {}

func (*AnalysisServiceEvent_GetBestVisibleResponse) isAnalysisServiceEvent_Response() {}

func (*AnalysisServiceEvent_GetChromeVersionResponse) isAnalysisServiceEvent_Response() {}

func (m *AnalysisServiceEvent) GetResponse() isAnalysisServiceEvent_Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *AnalysisServiceEvent) GetInstallPackagesResponse() *api.InstallPackagesResponse {
	if x, ok := m.GetResponse().(*AnalysisServiceEvent_InstallPackagesResponse); ok {
		return x.InstallPackagesResponse
	}
	return nil
}

func (m *AnalysisServiceEvent) GetBundleResponse() *api.BundleResponse {
	if x, ok := m.GetResponse().(*AnalysisServiceEvent_BundleResponse); ok {
		return x.BundleResponse
	}
	return nil
}

func (m *AnalysisServiceEvent) GetBinhostGetResponse() *api.BinhostGetResponse {
	if x, ok := m.GetResponse().(*AnalysisServiceEvent_BinhostGetResponse); ok {
		return x.BinhostGetResponse
	}
	return nil
}

func (m *AnalysisServiceEvent) GetAclArgsResponse() *api.AclArgsResponse {
	if x, ok := m.GetResponse().(*AnalysisServiceEvent_AclArgsResponse); ok {
		return x.AclArgsResponse
	}
	return nil
}

func (m *AnalysisServiceEvent) GetPrepareBinhostUploadsResponse() *api.PrepareBinhostUploadsResponse {
	if x, ok := m.GetResponse().(*AnalysisServiceEvent_PrepareBinhostUploadsResponse); ok {
		return x.PrepareBinhostUploadsResponse
	}
	return nil
}

func (m *AnalysisServiceEvent) GetSetBinhostResponse() *api.SetBinhostResponse {
	if x, ok := m.GetResponse().(*AnalysisServiceEvent_SetBinhostResponse); ok {
		return x.SetBinhostResponse
	}
	return nil
}

func (m *AnalysisServiceEvent) GetRegenBuildCacheResponse() *api.RegenBuildCacheResponse {
	if x, ok := m.GetResponse().(*AnalysisServiceEvent_RegenBuildCacheResponse); ok {
		return x.RegenBuildCacheResponse
	}
	return nil
}

func (m *AnalysisServiceEvent) GetGetBuildDependencyGraphResponse() *api.GetBuildDependencyGraphResponse {
	if x, ok := m.GetResponse().(*AnalysisServiceEvent_GetBuildDependencyGraphResponse); ok {
		return x.GetBuildDependencyGraphResponse
	}
	return nil
}

func (m *AnalysisServiceEvent) GetCreateImageResult() *api.CreateImageResult {
	if x, ok := m.GetResponse().(*AnalysisServiceEvent_CreateImageResult); ok {
		return x.CreateImageResult
	}
	return nil
}

func (m *AnalysisServiceEvent) GetTestImageResult() *api.TestImageResult {
	if x, ok := m.GetResponse().(*AnalysisServiceEvent_TestImageResult); ok {
		return x.TestImageResult
	}
	return nil
}

func (m *AnalysisServiceEvent) GetCreateResponse() *api.CreateResponse {
	if x, ok := m.GetResponse().(*AnalysisServiceEvent_CreateResponse); ok {
		return x.CreateResponse
	}
	return nil
}

func (m *AnalysisServiceEvent) GetUpdateResponse() *api.UpdateResponse {
	if x, ok := m.GetResponse().(*AnalysisServiceEvent_UpdateResponse); ok {
		return x.UpdateResponse
	}
	return nil
}

func (m *AnalysisServiceEvent) GetSysrootCreateResponse() *api.SysrootCreateResponse {
	if x, ok := m.GetResponse().(*AnalysisServiceEvent_SysrootCreateResponse); ok {
		return x.SysrootCreateResponse
	}
	return nil
}

func (m *AnalysisServiceEvent) GetInstallToolchainResponse() *api.InstallToolchainResponse {
	if x, ok := m.GetResponse().(*AnalysisServiceEvent_InstallToolchainResponse); ok {
		return x.InstallToolchainResponse
	}
	return nil
}

func (m *AnalysisServiceEvent) GetBuildTargetUnitTestResponse() *api.BuildTargetUnitTestResponse {
	if x, ok := m.GetResponse().(*AnalysisServiceEvent_BuildTargetUnitTestResponse); ok {
		return x.BuildTargetUnitTestResponse
	}
	return nil
}

func (m *AnalysisServiceEvent) GetChromiteUnitTestResponse() *api.ChromiteUnitTestResponse {
	if x, ok := m.GetResponse().(*AnalysisServiceEvent_ChromiteUnitTestResponse); ok {
		return x.ChromiteUnitTestResponse
	}
	return nil
}

func (m *AnalysisServiceEvent) GetDebugInfoTestResponse() *api.DebugInfoTestResponse {
	if x, ok := m.GetResponse().(*AnalysisServiceEvent_DebugInfoTestResponse); ok {
		return x.DebugInfoTestResponse
	}
	return nil
}

func (m *AnalysisServiceEvent) GetVmTestResponse() *api.VmTestResponse {
	if x, ok := m.GetResponse().(*AnalysisServiceEvent_VmTestResponse); ok {
		return x.VmTestResponse
	}
	return nil
}

func (m *AnalysisServiceEvent) GetMoblabVmTestResponse() *api.MoblabVmTestResponse {
	if x, ok := m.GetResponse().(*AnalysisServiceEvent_MoblabVmTestResponse); ok {
		return x.MoblabVmTestResponse
	}
	return nil
}

func (m *AnalysisServiceEvent) GetUprevPackagesResponse() *api.UprevPackagesResponse {
	if x, ok := m.GetResponse().(*AnalysisServiceEvent_UprevPackagesResponse); ok {
		return x.UprevPackagesResponse
	}
	return nil
}

func (m *AnalysisServiceEvent) GetGetBestVisibleResponse() *api.GetBestVisibleResponse {
	if x, ok := m.GetResponse().(*AnalysisServiceEvent_GetBestVisibleResponse); ok {
		return x.GetBestVisibleResponse
	}
	return nil
}

func (m *AnalysisServiceEvent) GetGetChromeVersionResponse() *api.GetChromeVersionResponse {
	if x, ok := m.GetResponse().(*AnalysisServiceEvent_GetChromeVersionResponse); ok {
		return x.GetChromeVersionResponse
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*AnalysisServiceEvent) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*AnalysisServiceEvent_InstallPackagesRequest)(nil),
		(*AnalysisServiceEvent_BundleRequest)(nil),
		(*AnalysisServiceEvent_BundleVmFilesRequest)(nil),
		(*AnalysisServiceEvent_BinhostGetRequest)(nil),
		(*AnalysisServiceEvent_AclArgsRequest)(nil),
		(*AnalysisServiceEvent_PrepareBinhostUploadsRequest)(nil),
		(*AnalysisServiceEvent_SetBinhostRequest)(nil),
		(*AnalysisServiceEvent_RegenBuildCacheRequest)(nil),
		(*AnalysisServiceEvent_GetBuildDependencyGraphRequest)(nil),
		(*AnalysisServiceEvent_CreateImageRequest)(nil),
		(*AnalysisServiceEvent_TestImageRequest)(nil),
		(*AnalysisServiceEvent_CreateRequest)(nil),
		(*AnalysisServiceEvent_UpdateRequest)(nil),
		(*AnalysisServiceEvent_SysrootCreateRequest)(nil),
		(*AnalysisServiceEvent_InstallToolchainRequest)(nil),
		(*AnalysisServiceEvent_BuildTargetUnitTestRequest)(nil),
		(*AnalysisServiceEvent_ChromiteUnitTestRequest)(nil),
		(*AnalysisServiceEvent_DebugInfoTestRequest)(nil),
		(*AnalysisServiceEvent_VmTestRequest)(nil),
		(*AnalysisServiceEvent_MoblabVmTestRequest)(nil),
		(*AnalysisServiceEvent_UprevPackagesRequest)(nil),
		(*AnalysisServiceEvent_GetBestVisibleRequest)(nil),
		(*AnalysisServiceEvent_GetChromeVersionRequest)(nil),
		(*AnalysisServiceEvent_InstallPackagesResponse)(nil),
		(*AnalysisServiceEvent_BundleResponse)(nil),
		(*AnalysisServiceEvent_BinhostGetResponse)(nil),
		(*AnalysisServiceEvent_AclArgsResponse)(nil),
		(*AnalysisServiceEvent_PrepareBinhostUploadsResponse)(nil),
		(*AnalysisServiceEvent_SetBinhostResponse)(nil),
		(*AnalysisServiceEvent_RegenBuildCacheResponse)(nil),
		(*AnalysisServiceEvent_GetBuildDependencyGraphResponse)(nil),
		(*AnalysisServiceEvent_CreateImageResult)(nil),
		(*AnalysisServiceEvent_TestImageResult)(nil),
		(*AnalysisServiceEvent_CreateResponse)(nil),
		(*AnalysisServiceEvent_UpdateResponse)(nil),
		(*AnalysisServiceEvent_SysrootCreateResponse)(nil),
		(*AnalysisServiceEvent_InstallToolchainResponse)(nil),
		(*AnalysisServiceEvent_BuildTargetUnitTestResponse)(nil),
		(*AnalysisServiceEvent_ChromiteUnitTestResponse)(nil),
		(*AnalysisServiceEvent_DebugInfoTestResponse)(nil),
		(*AnalysisServiceEvent_VmTestResponse)(nil),
		(*AnalysisServiceEvent_MoblabVmTestResponse)(nil),
		(*AnalysisServiceEvent_UprevPackagesResponse)(nil),
		(*AnalysisServiceEvent_GetBestVisibleResponse)(nil),
		(*AnalysisServiceEvent_GetChromeVersionResponse)(nil),
	}
}

func init() {
	proto.RegisterType((*AnalysisServiceEvent)(nil), "analysis_service.AnalysisServiceEvent")
}

func init() {
	proto.RegisterFile("analysis_service/analysis_service.proto", fileDescriptor_92c22ab0fbdfe575)
}

var fileDescriptor_92c22ab0fbdfe575 = []byte{
	// 1326 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x8c, 0x98, 0x6b, 0x53, 0xdc, 0x36,
	0x17, 0xc7, 0x1f, 0x9e, 0xb4, 0x09, 0x28, 0xe1, 0xa6, 0x6c, 0x60, 0x59, 0x08, 0x10, 0x72, 0x23,
	0xb7, 0xdd, 0x5e, 0x5e, 0x77, 0x3a, 0x21, 0x49, 0x81, 0xe9, 0x34, 0x93, 0x6e, 0x80, 0xe9, 0x34,
	0xd3, 0xba, 0xb2, 0xad, 0x35, 0x9a, 0xf8, 0x16, 0x4b, 0xde, 0x99, 0x74, 0xa6, 0x5f, 0xa6, 0x9f,
	0xb4, 0x23, 0x59, 0x96, 0x2c, 0xfb, 0xec, 0x86, 0x97, 0x9c, 0x73, 0xfc, 0xfb, 0x1f, 0xcb, 0x47,
	0xfa, 0x6b, 0x41, 0x8f, 0x49, 0x4a, 0xe2, 0xcf, 0x9c, 0x71, 0x8f, 0xd3, 0x62, 0xca, 0x02, 0x3a,
	0x6a, 0x07, 0x86, 0x79, 0x91, 0x89, 0x0c, 0xaf, 0xb5, 0xe3, 0x83, 0x9d, 0xe0, 0xb2, 0xc8, 0x12,
	0x26, 0xe8, 0x88, 0xe4, 0x6c, 0x44, 0x0a, 0xc1, 0x26, 0x24, 0x10, 0xbc, 0xaa, 0x1f, 0x0c, 0x9c,
	0xac, 0xcf, 0xd2, 0xcb, 0x8c, 0x0b, 0x9d, 0xdb, 0x76, 0x72, 0x21, 0xcd, 0xa3, 0x82, 0xe4, 0x97,
	0x3a, 0xd9, 0x77, 0x92, 0x2c, 0x21, 0x11, 0x05, 0x1f, 0xcb, 0x49, 0xf0, 0x91, 0x44, 0xb4, 0xd6,
	0xdb, 0x70, 0x92, 0x3c, 0xfc, 0x08, 0xf6, 0xc1, 0x3f, 0xf3, 0x22, 0xcb, 0xea, 0x3e, 0x36, 0x9d,
	0x9c, 0xa0, 0xa6, 0xc1, 0xbd, 0x28, 0xcb, 0xa2, 0x98, 0x8e, 0xd4, 0x5f, 0x7e, 0x39, 0x19, 0x09,
	0x96, 0x50, 0x2e, 0x48, 0x92, 0x57, 0x05, 0x07, 0xff, 0x1e, 0xa0, 0xde, 0x4b, 0xbd, 0x20, 0xef,
	0xab, 0xf5, 0x78, 0x33, 0xa5, 0xa9, 0xc0, 0x5b, 0x68, 0xd1, 0x2f, 0x59, 0x1c, 0x7a, 0x2c, 0xec,
	0x3f, 0xdd, 0x5f, 0x38, 0xbc, 0x36, 0xbe, 0xa1, 0xfe, 0x3e, 0x0d, 0xf1, 0x36, 0x5a, 0xe2, 0x82,
	0xe6, 0x5e, 0x4a, 0x12, 0xda, 0x7f, 0xb6, 0xbf, 0x70, 0xb8, 0x34, 0x5e, 0x94, 0x81, 0xb7, 0x24,
	0xa1, 0xf8, 0x07, 0x74, 0xab, 0xa0, 0x9f, 0x4a, 0xca, 0x85, 0x27, 0xb5, 0xfa, 0xd7, 0xf6, 0x17,
	0x0e, 0x6f, 0x7e, 0x37, 0x18, 0x56, 0x8d, 0x0c, 0xeb, 0x46, 0x86, 0x67, 0x75, 0x23, 0xe3, 0x9b,
	0xba, 0x5e, 0x46, 0xf0, 0x8f, 0x68, 0xb9, 0xa0, 0x3c, 0xcf, 0x52, 0x4e, 0xab, 0xe7, 0xbf, 0xfa,
	0xe2, 0xf3, 0xb7, 0xea, 0x07, 0x14, 0xe0, 0x2f, 0xd4, 0x67, 0x29, 0x17, 0x24, 0x8e, 0xbd, 0x7a,
	0x61, 0x3d, 0x2d, 0xd0, 0x5f, 0x50, 0xac, 0x07, 0xc3, 0x7a, 0xb5, 0x86, 0x24, 0x67, 0xc3, 0xd3,
	0xaa, 0xfa, 0x9d, 0x2e, 0x1e, 0x57, 0xb5, 0x27, 0xff, 0x1b, 0x6f, 0x30, 0x30, 0x83, 0x5f, 0xa3,
	0x15, 0xbf, 0x4c, 0xc3, 0x98, 0x1a, 0xee, 0xd7, 0x8a, 0xbb, 0xed, 0x72, 0x8f, 0x54, 0x8d, 0xc5,
	0x2d, 0xfb, 0xcd, 0x00, 0xfe, 0x80, 0x36, 0x35, 0x65, 0x9a, 0x78, 0x13, 0x16, 0x37, 0xda, 0xbc,
	0xa1, 0x70, 0x07, 0x10, 0xee, 0x22, 0xf9, 0x49, 0x96, 0x5a, 0x6a, 0xcf, 0x07, 0xe2, 0xf8, 0x57,
	0x74, 0x5b, 0x0f, 0xaa, 0x17, 0x51, 0x61, 0xc0, 0x8b, 0x0a, 0xbc, 0xd7, 0x02, 0x57, 0x85, 0xc7,
	0x54, 0x58, 0xea, 0xba, 0xdf, 0x0e, 0xe2, 0x13, 0xb4, 0x46, 0x82, 0xd8, 0x23, 0x45, 0x64, 0x1b,
	0x45, 0x8a, 0xb7, 0xe3, 0xf2, 0x5e, 0x06, 0xf1, 0xcb, 0x22, 0x6a, 0xb4, 0xb8, 0x42, 0x9c, 0x08,
	0xe6, 0x68, 0x2f, 0x2f, 0x68, 0x4e, 0x0a, 0xea, 0xd5, 0x4d, 0x96, 0x79, 0x9c, 0x91, 0xd0, 0x82,
	0x6f, 0x29, 0xf0, 0x53, 0x17, 0xfc, 0xae, 0x7a, 0x48, 0xf7, 0x7b, 0x5e, 0x3d, 0x62, 0x65, 0x76,
	0xf2, 0x39, 0x79, 0xb9, 0x22, 0x9c, 0x0a, 0x23, 0x58, 0x0b, 0xad, 0x40, 0x2b, 0xf2, 0x9e, 0x0a,
	0x0d, 0x69, 0xac, 0x08, 0x6f, 0x07, 0x31, 0x41, 0x5b, 0x05, 0x8d, 0x68, 0xea, 0x55, 0xfb, 0x24,
	0x20, 0xc1, 0xa5, 0x1d, 0x89, 0x35, 0x68, 0xd4, 0xc6, 0xb2, 0xfc, 0x48, 0x56, 0xbf, 0x92, 0xc5,
	0x8d, 0x51, 0x2b, 0xc0, 0x0c, 0xfe, 0x1b, 0x1d, 0xc8, 0xef, 0x57, 0x09, 0x84, 0x34, 0xa7, 0x69,
	0x48, 0xd3, 0xe0, 0xb3, 0xa7, 0x8e, 0x19, 0xa3, 0x85, 0x95, 0xd6, 0x73, 0x57, 0xeb, 0x98, 0x0a,
	0xc5, 0x7b, 0x6d, 0x9e, 0x3a, 0x96, 0x0f, 0x59, 0xcd, 0xdd, 0x68, 0x6e, 0x05, 0x3e, 0x43, 0xbd,
	0xa0, 0xa0, 0x44, 0x50, 0x4f, 0x1d, 0x5d, 0x46, 0xad, 0xa7, 0xd4, 0xf6, 0x5d, 0xb5, 0x57, 0xaa,
	0xf2, 0x54, 0x16, 0x5a, 0x05, 0x1c, 0x74, 0xa2, 0xf8, 0x2d, 0xc2, 0xf2, 0x78, 0x6a, 0x31, 0x37,
	0x14, 0x73, 0xd7, 0x65, 0x9e, 0x51, 0x2e, 0x5a, 0xc4, 0x35, 0xd1, 0x8a, 0xc9, 0xcd, 0xa8, 0xbb,
	0xac, 0x59, 0x7d, 0x68, 0x33, 0x56, 0xfd, 0x35, 0x36, 0x63, 0xd0, 0x0c, 0x48, 0x4a, 0x99, 0x87,
	0x4d, 0xca, 0x00, 0xa2, 0x9c, 0xab, 0x9a, 0x06, 0xa5, 0x6c, 0x06, 0xf0, 0xef, 0x68, 0x43, 0x1f,
	0xcb, 0x5e, 0xab, 0xa7, 0x1d, 0x68, 0x47, 0xbf, 0xaf, 0x6a, 0xdb, 0xad, 0xf5, 0x38, 0x10, 0xc7,
	0x01, 0xda, 0xaa, 0x8f, 0x35, 0x91, 0x65, 0x71, 0x70, 0x49, 0x58, 0x6a, 0xf0, 0xbb, 0x0a, 0xff,
	0x10, 0x3c, 0xd7, 0xce, 0xea, 0x6a, 0xab, 0xb0, 0xc9, 0xe0, 0x14, 0x4e, 0xd1, 0x6e, 0x35, 0x6a,
	0x82, 0x14, 0x72, 0xee, 0xca, 0x94, 0x09, 0x4f, 0x7d, 0xae, 0x5a, 0x69, 0x5f, 0x29, 0x1d, 0xb6,
	0x8f, 0x26, 0x16, 0x87, 0x67, 0xea, 0x91, 0xf3, 0x94, 0x09, 0xf9, 0xdd, 0xac, 0xd8, 0xc0, 0x9f,
	0x99, 0xc5, 0x21, 0x32, 0xa6, 0x06, 0x68, 0x1d, 0x40, 0x6f, 0xf5, 0x4a, 0xff, 0xd1, 0x15, 0x32,
	0x1e, 0xd8, 0x56, 0xf9, 0x80, 0x36, 0x43, 0xea, 0x97, 0x91, 0xc7, 0xd2, 0x49, 0xe6, 0x4a, 0x3c,
	0x80, 0xbe, 0xcb, 0x6b, 0x59, 0x7c, 0x9a, 0x4e, 0x32, 0x97, 0xdf, 0x0b, 0x81, 0x38, 0x7e, 0x83,
	0x56, 0xa7, 0x89, 0x0b, 0x7d, 0x04, 0x8d, 0xce, 0x45, 0xe2, 0xd2, 0x96, 0xa7, 0xcd, 0x00, 0xfe,
	0x0d, 0x6d, 0x24, 0x99, 0x1f, 0x13, 0xdf, 0x6b, 0xd3, 0x0e, 0x15, 0xed, 0x9e, 0x4b, 0xfb, 0x45,
	0xd5, 0xb6, 0x99, 0xb7, 0x93, 0x6e, 0x58, 0x0e, 0x65, 0x99, 0x17, 0x74, 0xda, 0x75, 0xc3, 0xe7,
	0xd0, 0xcb, 0x9f, 0xcb, 0xda, 0xae, 0x17, 0xf6, 0x4a, 0x20, 0x8e, 0xff, 0x44, 0x7d, 0x75, 0x3c,
	0xc9, 0x7e, 0xa7, 0x8c, 0x33, 0xbf, 0xe1, 0x89, 0x43, 0x45, 0xbf, 0xdf, 0x3d, 0x94, 0x28, 0x17,
	0x17, 0x55, 0xad, 0xc5, 0xdf, 0x89, 0xa0, 0x84, 0x9c, 0x0f, 0xc9, 0x57, 0x08, 0xea, 0x4d, 0x69,
	0xc1, 0x59, 0x66, 0xa7, 0xfe, 0x1b, 0x68, 0x3e, 0x8e, 0xa9, 0x50, 0x23, 0x42, 0x2f, 0xaa, 0xea,
	0xc6, 0x7c, 0x44, 0x70, 0xaa, 0xb9, 0xb5, 0x1a, 0x6b, 0x54, 0x5d, 0x29, 0xfa, 0xff, 0x9f, 0xb3,
	0xb5, 0xec, 0x72, 0x54, 0xc5, 0x27, 0x0b, 0x66, 0x6b, 0xb5, 0x53, 0xf8, 0x18, 0xad, 0x9a, 0x4b,
	0x83, 0x46, 0x5f, 0x87, 0xdc, 0xb3, 0xbe, 0x35, 0x18, 0xe2, 0x8a, 0xef, 0x44, 0xe4, 0xb1, 0xec,
	0x5a, 0xbb, 0xa6, 0x2d, 0x41, 0xc7, 0x72, 0xd3, 0xdb, 0x0d, 0x11, 0xfb, 0x9d, 0x28, 0xfe, 0x19,
	0xad, 0x37, 0xdc, 0x5d, 0x23, 0x6f, 0x2a, 0xe4, 0xdd, 0x19, 0xf6, 0x6e, 0x78, 0xab, 0xc4, 0x0d,
	0xe1, 0x29, 0xda, 0x9f, 0x6d, 0xf0, 0x9a, 0xbd, 0xac, 0xd8, 0xcf, 0xae, 0xe4, 0xf0, 0x46, 0xe9,
	0x6e, 0x3e, 0xaf, 0x40, 0x2e, 0x8d, 0xeb, 0xf1, 0x5a, 0x6b, 0x15, 0x5a, 0x9a, 0xa6, 0xc9, 0xdb,
	0xa5, 0xe1, 0x9d, 0xa8, 0x1c, 0x42, 0xc8, 0xe6, 0x35, 0x7b, 0x1d, 0x9a, 0x8f, 0x8e, 0xcf, 0xdb,
	0xf9, 0x28, 0xe0, 0x14, 0xfe, 0x07, 0xdd, 0x9f, 0xeb, 0xf4, 0x5a, 0xee, 0xb6, 0x92, 0x7b, 0x71,
	0x45, 0xab, 0x37, 0xb2, 0x7b, 0xd1, 0xfc, 0x12, 0x79, 0x3d, 0x6a, 0x99, 0x3d, 0x2f, 0x63, 0xd1,
	0xbf, 0x03, 0x5d, 0x8f, 0x1c, 0xaf, 0x97, 0x65, 0x27, 0x0b, 0xe3, 0xf5, 0xa0, 0x1d, 0x94, 0x23,
	0xe5, 0x38, 0xbd, 0x02, 0x6e, 0x42, 0x23, 0xd5, 0x30, 0x7a, 0x8d, 0x5b, 0x15, 0x6e, 0x48, 0x6e,
	0x1f, 0x63, 0xa9, 0x7a, 0x29, 0xb6, 0xa0, 0xed, 0x53, 0x9b, 0xa6, 0xdd, 0x3e, 0x81, 0x13, 0x91,
	0x20, 0xe3, 0xf4, 0x1a, 0xb4, 0x0d, 0x81, 0x6a, 0xab, 0xb7, 0xa0, 0xd2, 0x89, 0xe0, 0x3f, 0xd0,
	0x66, 0xc7, 0xec, 0x35, 0xf0, 0x2e, 0x74, 0xf4, 0xb5, 0xdc, 0xde, 0x70, 0xef, 0x70, 0x28, 0x81,
	0x27, 0x68, 0x00, 0xf9, 0xbd, 0x56, 0xd8, 0x53, 0x0a, 0x8f, 0xbe, 0x64, 0xf8, 0x46, 0xa4, 0xcf,
	0x66, 0xe4, 0xf0, 0x27, 0xb4, 0x37, 0xd3, 0xf2, 0xb5, 0xd8, 0x3d, 0x25, 0xf6, 0xe4, 0x0a, 0x9e,
	0x6f, 0xf4, 0xb6, 0xfd, 0xd9, 0x69, 0x1c, 0xa1, 0x6d, 0xd0, 0xf5, 0xb5, 0xdc, 0x7d, 0xe8, 0xdd,
	0xba, 0xb6, 0x6f, 0xdf, 0x2d, 0x98, 0x91, 0x93, 0xf6, 0xd4, 0x35, 0x7e, 0xad, 0xf2, 0x10, 0xfa,
	0x46, 0x2d, 0xe7, 0xb7, 0xdf, 0x28, 0x84, 0x12, 0xf2, 0x27, 0x91, 0x75, 0x6b, 0xcd, 0x7d, 0x0c,
	0x0d, 0x53, 0xed, 0xc8, 0x76, 0x98, 0xa6, 0x4e, 0x44, 0x5e, 0x51, 0x3a, 0xf6, 0xaf, 0x81, 0x4f,
	0x20, 0x97, 0x76, 0xfd, 0xdf, 0x60, 0x7b, 0x09, 0x10, 0x97, 0x93, 0xda, 0xb9, 0x01, 0x68, 0xf8,
	0x0b, 0x68, 0x15, 0x5a, 0x57, 0x00, 0xbb, 0x0a, 0x25, 0x94, 0x90, 0x3f, 0x83, 0x80, 0x4b, 0x80,
	0x16, 0x18, 0x41, 0x3f, 0x83, 0xda, 0xb7, 0x00, 0xa3, 0xb0, 0x11, 0x81, 0x19, 0x39, 0x31, 0xe0,
	0x3d, 0x40, 0x8b, 0x7c, 0x0b, 0x4d, 0x4c, 0xf7, 0x22, 0x60, 0x27, 0x26, 0x9a, 0x91, 0x3b, 0x5a,
	0x42, 0x37, 0xf4, 0xed, 0xe2, 0x08, 0xa1, 0xc5, 0x5a, 0xc0, 0xbf, 0xae, 0xfe, 0xeb, 0xf0, 0xfd,
	0x7f, 0x01, 0x00, 0x00, 0xff, 0xff, 0xcd, 0x3f, 0x8e, 0x9b, 0x64, 0x12, 0x00, 0x00,
}
