// Code generated by protoc-gen-go. DO NOT EDIT.
// source: chromite/api/image.proto

package api

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	chromiumos "go.chromium.org/chromiumos/infra/proto/go/chromiumos"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

// Image argument - encapsulate data about an image.
type Image struct {
	// Path to the image file.
	Path string `protobuf:"bytes,1,opt,name=path,proto3" json:"path,omitempty"`
	// The image type.
	Type chromiumos.ImageType `protobuf:"varint,2,opt,name=type,proto3,enum=chromiumos.ImageType" json:"type,omitempty"`
	// The build target used to create the image.
	BuildTarget          *chromiumos.BuildTarget `protobuf:"bytes,3,opt,name=build_target,json=buildTarget,proto3" json:"build_target,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                `json:"-"`
	XXX_unrecognized     []byte                  `json:"-"`
	XXX_sizecache        int32                   `json:"-"`
}

func (m *Image) Reset()         { *m = Image{} }
func (m *Image) String() string { return proto.CompactTextString(m) }
func (*Image) ProtoMessage()    {}
func (*Image) Descriptor() ([]byte, []int) {
	return fileDescriptor_abef4ffabc69f3ed, []int{0}
}

func (m *Image) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Image.Unmarshal(m, b)
}
func (m *Image) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Image.Marshal(b, m, deterministic)
}
func (m *Image) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Image.Merge(m, src)
}
func (m *Image) XXX_Size() int {
	return xxx_messageInfo_Image.Size(m)
}
func (m *Image) XXX_DiscardUnknown() {
	xxx_messageInfo_Image.DiscardUnknown(m)
}

var xxx_messageInfo_Image proto.InternalMessageInfo

func (m *Image) GetPath() string {
	if m != nil {
		return m.Path
	}
	return ""
}

func (m *Image) GetType() chromiumos.ImageType {
	if m != nil {
		return m.Type
	}
	return chromiumos.ImageType_IMAGE_TYPE_UNDEFINED
}

func (m *Image) GetBuildTarget() *chromiumos.BuildTarget {
	if m != nil {
		return m.BuildTarget
	}
	return nil
}

// The image test arguments.
type CreateImageRequest struct {
	// Required.
	// The build target whose image is being built.
	BuildTarget *chromiumos.BuildTarget `protobuf:"bytes,1,opt,name=build_target,json=buildTarget,proto3" json:"build_target,omitempty"`
	// The types of images to build, defaults to building base image.
	// Note: Building either of the VM image types will also force the
	// corresponding regular image to be built. Only one VM image type may be
	// built at a time, and will overwrite any previously built VM image if the
	// same output directory (version) is used.
	ImageTypes []chromiumos.ImageType `protobuf:"varint,2,rep,packed,name=image_types,json=imageTypes,proto3,enum=chromiumos.ImageType" json:"image_types,omitempty"`
	// Whether rootfs verification should be disabled (enabled by default).
	DisableRootfsVerification bool `protobuf:"varint,3,opt,name=disable_rootfs_verification,json=disableRootfsVerification,proto3" json:"disable_rootfs_verification,omitempty"`
	// The image version.
	Version string `protobuf:"bytes,4,opt,name=version,proto3" json:"version,omitempty"`
	// Disk layout option. See README.disk_layout and legacy_disk_layout.json in
	// src/scripts/build_library.
	DiskLayout string `protobuf:"bytes,5,opt,name=disk_layout,json=diskLayout,proto3" json:"disk_layout,omitempty"`
	// Used to set the LSB builder path key in /etc/lsb-release. See
	// chromite/scripts/cros_set_lsb_release.py.
	BuilderPath string `protobuf:"bytes,6,opt,name=builder_path,json=builderPath,proto3" json:"builder_path,omitempty"`
	// The chroot to use to execute the endpoint.
	Chroot               *chromiumos.Chroot `protobuf:"bytes,7,opt,name=chroot,proto3" json:"chroot,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *CreateImageRequest) Reset()         { *m = CreateImageRequest{} }
func (m *CreateImageRequest) String() string { return proto.CompactTextString(m) }
func (*CreateImageRequest) ProtoMessage()    {}
func (*CreateImageRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_abef4ffabc69f3ed, []int{1}
}

func (m *CreateImageRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateImageRequest.Unmarshal(m, b)
}
func (m *CreateImageRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateImageRequest.Marshal(b, m, deterministic)
}
func (m *CreateImageRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateImageRequest.Merge(m, src)
}
func (m *CreateImageRequest) XXX_Size() int {
	return xxx_messageInfo_CreateImageRequest.Size(m)
}
func (m *CreateImageRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateImageRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CreateImageRequest proto.InternalMessageInfo

func (m *CreateImageRequest) GetBuildTarget() *chromiumos.BuildTarget {
	if m != nil {
		return m.BuildTarget
	}
	return nil
}

func (m *CreateImageRequest) GetImageTypes() []chromiumos.ImageType {
	if m != nil {
		return m.ImageTypes
	}
	return nil
}

func (m *CreateImageRequest) GetDisableRootfsVerification() bool {
	if m != nil {
		return m.DisableRootfsVerification
	}
	return false
}

func (m *CreateImageRequest) GetVersion() string {
	if m != nil {
		return m.Version
	}
	return ""
}

func (m *CreateImageRequest) GetDiskLayout() string {
	if m != nil {
		return m.DiskLayout
	}
	return ""
}

func (m *CreateImageRequest) GetBuilderPath() string {
	if m != nil {
		return m.BuilderPath
	}
	return ""
}

func (m *CreateImageRequest) GetChroot() *chromiumos.Chroot {
	if m != nil {
		return m.Chroot
	}
	return nil
}

type CreateImageResult struct {
	// Whether it completed successfully.
	Success bool `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	// Images that were built. Will contain no more than one per image type.
	Images []*Image `protobuf:"bytes,2,rep,name=images,proto3" json:"images,omitempty"`
	// Any packages that failed to build. Empty on success.
	FailedPackages       []*chromiumos.PackageInfo `protobuf:"bytes,3,rep,name=failed_packages,json=failedPackages,proto3" json:"failed_packages,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                  `json:"-"`
	XXX_unrecognized     []byte                    `json:"-"`
	XXX_sizecache        int32                     `json:"-"`
}

func (m *CreateImageResult) Reset()         { *m = CreateImageResult{} }
func (m *CreateImageResult) String() string { return proto.CompactTextString(m) }
func (*CreateImageResult) ProtoMessage()    {}
func (*CreateImageResult) Descriptor() ([]byte, []int) {
	return fileDescriptor_abef4ffabc69f3ed, []int{2}
}

func (m *CreateImageResult) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateImageResult.Unmarshal(m, b)
}
func (m *CreateImageResult) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateImageResult.Marshal(b, m, deterministic)
}
func (m *CreateImageResult) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateImageResult.Merge(m, src)
}
func (m *CreateImageResult) XXX_Size() int {
	return xxx_messageInfo_CreateImageResult.Size(m)
}
func (m *CreateImageResult) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateImageResult.DiscardUnknown(m)
}

var xxx_messageInfo_CreateImageResult proto.InternalMessageInfo

func (m *CreateImageResult) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

func (m *CreateImageResult) GetImages() []*Image {
	if m != nil {
		return m.Images
	}
	return nil
}

func (m *CreateImageResult) GetFailedPackages() []*chromiumos.PackageInfo {
	if m != nil {
		return m.FailedPackages
	}
	return nil
}

// The image test arguments.
type TestImageRequest struct {
	// The image to be tested.
	// Image.path is required.
	Image *Image `protobuf:"bytes,1,opt,name=image,proto3" json:"image,omitempty"`
	// The build target whose image is being tested.
	// BuildTarget.name is required.
	BuildTarget *chromiumos.BuildTarget `protobuf:"bytes,2,opt,name=build_target,json=buildTarget,proto3" json:"build_target,omitempty"`
	// Required.
	Result *TestImageRequest_Result `protobuf:"bytes,3,opt,name=result,proto3" json:"result,omitempty"`
	// The chroot to use to execute the endpoint.
	Chroot               *chromiumos.Chroot `protobuf:"bytes,4,opt,name=chroot,proto3" json:"chroot,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *TestImageRequest) Reset()         { *m = TestImageRequest{} }
func (m *TestImageRequest) String() string { return proto.CompactTextString(m) }
func (*TestImageRequest) ProtoMessage()    {}
func (*TestImageRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_abef4ffabc69f3ed, []int{3}
}

func (m *TestImageRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TestImageRequest.Unmarshal(m, b)
}
func (m *TestImageRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TestImageRequest.Marshal(b, m, deterministic)
}
func (m *TestImageRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TestImageRequest.Merge(m, src)
}
func (m *TestImageRequest) XXX_Size() int {
	return xxx_messageInfo_TestImageRequest.Size(m)
}
func (m *TestImageRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_TestImageRequest.DiscardUnknown(m)
}

var xxx_messageInfo_TestImageRequest proto.InternalMessageInfo

func (m *TestImageRequest) GetImage() *Image {
	if m != nil {
		return m.Image
	}
	return nil
}

func (m *TestImageRequest) GetBuildTarget() *chromiumos.BuildTarget {
	if m != nil {
		return m.BuildTarget
	}
	return nil
}

func (m *TestImageRequest) GetResult() *TestImageRequest_Result {
	if m != nil {
		return m.Result
	}
	return nil
}

func (m *TestImageRequest) GetChroot() *chromiumos.Chroot {
	if m != nil {
		return m.Chroot
	}
	return nil
}

// Test results options specifications.
type TestImageRequest_Result struct {
	// Location where the test results should be written.
	Directory            string   `protobuf:"bytes,1,opt,name=directory,proto3" json:"directory,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *TestImageRequest_Result) Reset()         { *m = TestImageRequest_Result{} }
func (m *TestImageRequest_Result) String() string { return proto.CompactTextString(m) }
func (*TestImageRequest_Result) ProtoMessage()    {}
func (*TestImageRequest_Result) Descriptor() ([]byte, []int) {
	return fileDescriptor_abef4ffabc69f3ed, []int{3, 0}
}

func (m *TestImageRequest_Result) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TestImageRequest_Result.Unmarshal(m, b)
}
func (m *TestImageRequest_Result) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TestImageRequest_Result.Marshal(b, m, deterministic)
}
func (m *TestImageRequest_Result) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TestImageRequest_Result.Merge(m, src)
}
func (m *TestImageRequest_Result) XXX_Size() int {
	return xxx_messageInfo_TestImageRequest_Result.Size(m)
}
func (m *TestImageRequest_Result) XXX_DiscardUnknown() {
	xxx_messageInfo_TestImageRequest_Result.DiscardUnknown(m)
}

var xxx_messageInfo_TestImageRequest_Result proto.InternalMessageInfo

func (m *TestImageRequest_Result) GetDirectory() string {
	if m != nil {
		return m.Directory
	}
	return ""
}

type TestImageResult struct {
	// Whether all tests passed.
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *TestImageResult) Reset()         { *m = TestImageResult{} }
func (m *TestImageResult) String() string { return proto.CompactTextString(m) }
func (*TestImageResult) ProtoMessage()    {}
func (*TestImageResult) Descriptor() ([]byte, []int) {
	return fileDescriptor_abef4ffabc69f3ed, []int{4}
}

func (m *TestImageResult) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TestImageResult.Unmarshal(m, b)
}
func (m *TestImageResult) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TestImageResult.Marshal(b, m, deterministic)
}
func (m *TestImageResult) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TestImageResult.Merge(m, src)
}
func (m *TestImageResult) XXX_Size() int {
	return xxx_messageInfo_TestImageResult.Size(m)
}
func (m *TestImageResult) XXX_DiscardUnknown() {
	xxx_messageInfo_TestImageResult.DiscardUnknown(m)
}

var xxx_messageInfo_TestImageResult proto.InternalMessageInfo

func (m *TestImageResult) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

func init() {
	proto.RegisterType((*Image)(nil), "chromite.api.Image")
	proto.RegisterType((*CreateImageRequest)(nil), "chromite.api.CreateImageRequest")
	proto.RegisterType((*CreateImageResult)(nil), "chromite.api.CreateImageResult")
	proto.RegisterType((*TestImageRequest)(nil), "chromite.api.TestImageRequest")
	proto.RegisterType((*TestImageRequest_Result)(nil), "chromite.api.TestImageRequest.Result")
	proto.RegisterType((*TestImageResult)(nil), "chromite.api.TestImageResult")
}

func init() { proto.RegisterFile("chromite/api/image.proto", fileDescriptor_abef4ffabc69f3ed) }

var fileDescriptor_abef4ffabc69f3ed = []byte{
	// 585 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xac, 0x54, 0xdd, 0x6e, 0xd3, 0x30,
	0x14, 0x56, 0xba, 0x36, 0x5b, 0x4f, 0xca, 0x36, 0x8c, 0xd0, 0x42, 0x18, 0xac, 0x54, 0x02, 0x75,
	0x4c, 0x4a, 0xa4, 0x22, 0x4d, 0x08, 0x09, 0x84, 0x36, 0x71, 0x31, 0x8d, 0x8b, 0x29, 0xab, 0xb8,
	0xe0, 0x26, 0x72, 0x53, 0x37, 0xb3, 0xd6, 0xd6, 0xc1, 0x76, 0x2a, 0xf5, 0x96, 0x6b, 0x1e, 0x81,
	0xa7, 0xe1, 0x11, 0x78, 0x0f, 0x5e, 0x01, 0xa1, 0x9c, 0xb8, 0x34, 0xa1, 0xac, 0x80, 0xc4, 0x5d,
	0x7c, 0xbe, 0xcf, 0xe7, 0xe7, 0xfb, 0x4e, 0x0c, 0x6e, 0x7c, 0x25, 0xc5, 0x84, 0x6b, 0x16, 0xd0,
	0x94, 0x07, 0x7c, 0x42, 0x13, 0xe6, 0xa7, 0x52, 0x68, 0x41, 0x5a, 0x0b, 0xc4, 0xa7, 0x29, 0xf7,
	0xf6, 0x2b, 0xbc, 0x41, 0xc6, 0xc7, 0xc3, 0x88, 0xa6, 0xbc, 0xe0, 0x7a, 0x7b, 0x05, 0x9a, 0x4d,
	0x84, 0x0a, 0x62, 0x31, 0x99, 0x88, 0x69, 0x01, 0x74, 0x3e, 0x5a, 0xd0, 0x38, 0xcb, 0x93, 0x12,
	0x02, 0xf5, 0x94, 0xea, 0x2b, 0xd7, 0x6a, 0x5b, 0xdd, 0x66, 0x88, 0xdf, 0xe4, 0x10, 0xea, 0x7a,
	0x9e, 0x32, 0xb7, 0xd6, 0xb6, 0xba, 0xdb, 0xbd, 0xbb, 0xfe, 0x32, 0x8b, 0x8f, 0x97, 0xfa, 0xf3,
	0x94, 0x85, 0x48, 0x21, 0x2f, 0xa0, 0x55, 0x14, 0xd5, 0x54, 0x26, 0x4c, 0xbb, 0x1b, 0x6d, 0xab,
	0xeb, 0xf4, 0xf6, 0xca, 0x57, 0x4e, 0x72, 0xbc, 0x8f, 0x70, 0xe8, 0x0c, 0x96, 0x87, 0xce, 0xd7,
	0x1a, 0x90, 0x53, 0xc9, 0xa8, 0x66, 0x98, 0x35, 0x64, 0x1f, 0x32, 0xa6, 0xf4, 0x4a, 0x4a, 0xeb,
	0xef, 0x53, 0x92, 0x63, 0x70, 0x50, 0xab, 0x28, 0x6f, 0x4e, 0xb9, 0xb5, 0xf6, 0xc6, 0xcd, 0x03,
	0x00, 0x5f, 0x7c, 0x2a, 0xf2, 0x0a, 0xee, 0x0f, 0xb9, 0xa2, 0x83, 0x31, 0x8b, 0xa4, 0x10, 0x7a,
	0xa4, 0xa2, 0x19, 0x93, 0x7c, 0xc4, 0x63, 0xaa, 0xb9, 0x98, 0xe2, 0x54, 0x5b, 0xe1, 0x3d, 0x43,
	0x09, 0x91, 0xf1, 0xae, 0x44, 0x20, 0x2e, 0x6c, 0xce, 0x98, 0x54, 0x39, 0xb7, 0x8e, 0x42, 0x2e,
	0x8e, 0xe4, 0x00, 0x9c, 0x21, 0x57, 0xd7, 0xd1, 0x98, 0xce, 0x45, 0xa6, 0xdd, 0x06, 0xa2, 0x90,
	0x87, 0xde, 0x62, 0x84, 0x3c, 0x32, 0xe3, 0x32, 0x19, 0xa1, 0x11, 0x36, 0x32, 0x1c, 0x13, 0xbb,
	0xc8, 0xfd, 0x78, 0x0a, 0x76, 0x3e, 0x81, 0xd0, 0xee, 0x26, 0x6a, 0x41, 0xca, 0x03, 0x9d, 0x22,
	0x12, 0x1a, 0x46, 0xe7, 0xb3, 0x05, 0xb7, 0x2b, 0xa2, 0xaa, 0x6c, 0xac, 0xf3, 0xfe, 0x54, 0x16,
	0xc7, 0x4c, 0x29, 0x94, 0x73, 0x2b, 0x5c, 0x1c, 0xc9, 0x11, 0xd8, 0xa8, 0x43, 0x21, 0x96, 0xd3,
	0xbb, 0xe3, 0x97, 0xf7, 0xab, 0x90, 0x2b, 0x34, 0x14, 0xf2, 0x1a, 0x76, 0x46, 0x94, 0x8f, 0xd9,
	0x30, 0x4a, 0x69, 0x7c, 0x8d, 0xb7, 0x36, 0xf0, 0x56, 0xc5, 0x9d, 0x8b, 0x02, 0x3b, 0x9b, 0x8e,
	0x44, 0xb8, 0x5d, 0xf0, 0x4d, 0x48, 0x75, 0x3e, 0xd5, 0x60, 0xb7, 0xcf, 0x94, 0xae, 0x38, 0x7e,
	0x08, 0x0d, 0x2c, 0x60, 0xac, 0xfe, 0x6d, 0x0b, 0x05, 0x63, 0x65, 0x39, 0x6a, 0xff, 0xb0, 0x1c,
	0x2f, 0xc1, 0x96, 0x28, 0x87, 0xd9, 0xd2, 0xc7, 0xd5, 0x3a, 0xbf, 0xb6, 0xe5, 0x17, 0xda, 0x85,
	0xe6, 0x52, 0xc9, 0x85, 0xfa, 0x9f, 0x5c, 0xf0, 0x9e, 0x80, 0x6d, 0x94, 0xdf, 0x87, 0xe6, 0x90,
	0x4b, 0x16, 0x6b, 0x21, 0xe7, 0xe6, 0x27, 0x5b, 0x06, 0x3a, 0x47, 0xb0, 0x53, 0x2a, 0xbb, 0xde,
	0xaa, 0xde, 0x77, 0x0b, 0x5a, 0xc8, 0xbc, 0x64, 0x72, 0xc6, 0x63, 0x46, 0xce, 0xc1, 0x2e, 0xac,
	0x26, 0xed, 0xea, 0x28, 0xab, 0x7f, 0x95, 0x77, 0xb0, 0x86, 0x81, 0x75, 0xdf, 0x40, 0x3d, 0x6f,
	0x85, 0x3c, 0x5c, 0xaf, 0x8a, 0xf7, 0xe0, 0x46, 0x1c, 0xd3, 0x9c, 0x03, 0x5c, 0xf2, 0x64, 0xca,
	0xe4, 0x7f, 0x48, 0xe6, 0xdd, 0xfa, 0xf2, 0xcd, 0x6b, 0x9a, 0xe5, 0xd8, 0xb5, 0x4e, 0x9e, 0xbf,
	0x3f, 0x4e, 0xc4, 0x4f, 0xd5, 0x7d, 0x21, 0x93, 0xa0, 0xf4, 0xc0, 0xf1, 0xe9, 0x48, 0xd2, 0x00,
	0xdf, 0xb7, 0x20, 0x11, 0x41, 0xf9, 0x61, 0x1c, 0xd8, 0x18, 0x7e, 0xf6, 0x23, 0x00, 0x00, 0xff,
	0xff, 0x8f, 0x32, 0x4d, 0x68, 0x57, 0x05, 0x00, 0x00,
}
