// Code generated by protoc-gen-go. DO NOT EDIT.
// source: chromite/api/toolchain.proto

package api

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	chromiumos "go.chromium.org/chromiumos/infra/proto/go/chromiumos"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type AFDOArtifactType int32

const (
	// No AFDO artifact type specified.
	AFDOArtifactType_NONE_TYPE AFDOArtifactType = 0
	// The type is orderfile.
	AFDOArtifactType_ORDERFILE AFDOArtifactType = 1
	// The type is Chrome AFDO files generated by benchmarks.
	AFDOArtifactType_BENCHMARK_AFDO AFDOArtifactType = 2
	// The type is kernel AFDO files.
	AFDOArtifactType_KERNEL_AFDO AFDOArtifactType = 3
	// The type is Chrome AFDO used in release builders.
	AFDOArtifactType_CHROME_AFDO AFDOArtifactType = 4
)

var AFDOArtifactType_name = map[int32]string{
	0: "NONE_TYPE",
	1: "ORDERFILE",
	2: "BENCHMARK_AFDO",
	3: "KERNEL_AFDO",
	4: "CHROME_AFDO",
}

var AFDOArtifactType_value = map[string]int32{
	"NONE_TYPE":      0,
	"ORDERFILE":      1,
	"BENCHMARK_AFDO": 2,
	"KERNEL_AFDO":    3,
	"CHROME_AFDO":    4,
}

func (x AFDOArtifactType) String() string {
	return proto.EnumName(AFDOArtifactType_name, int32(x))
}

func (AFDOArtifactType) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_7ff43bdb7436d394, []int{0}
}

type VerifyAFDOArtifactsRequest struct {
	BuildTarget *chromiumos.BuildTarget `protobuf:"bytes,1,opt,name=build_target,json=buildTarget,proto3" json:"build_target,omitempty"`
	// The type of AFDO artifact to test.
	ArtifactType         AFDOArtifactType `protobuf:"varint,2,opt,name=artifact_type,json=artifactType,proto3,enum=chromite.api.AFDOArtifactType" json:"artifact_type,omitempty"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-"`
	XXX_unrecognized     []byte           `json:"-"`
	XXX_sizecache        int32            `json:"-"`
}

func (m *VerifyAFDOArtifactsRequest) Reset()         { *m = VerifyAFDOArtifactsRequest{} }
func (m *VerifyAFDOArtifactsRequest) String() string { return proto.CompactTextString(m) }
func (*VerifyAFDOArtifactsRequest) ProtoMessage()    {}
func (*VerifyAFDOArtifactsRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_7ff43bdb7436d394, []int{0}
}

func (m *VerifyAFDOArtifactsRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_VerifyAFDOArtifactsRequest.Unmarshal(m, b)
}
func (m *VerifyAFDOArtifactsRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_VerifyAFDOArtifactsRequest.Marshal(b, m, deterministic)
}
func (m *VerifyAFDOArtifactsRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_VerifyAFDOArtifactsRequest.Merge(m, src)
}
func (m *VerifyAFDOArtifactsRequest) XXX_Size() int {
	return xxx_messageInfo_VerifyAFDOArtifactsRequest.Size(m)
}
func (m *VerifyAFDOArtifactsRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_VerifyAFDOArtifactsRequest.DiscardUnknown(m)
}

var xxx_messageInfo_VerifyAFDOArtifactsRequest proto.InternalMessageInfo

func (m *VerifyAFDOArtifactsRequest) GetBuildTarget() *chromiumos.BuildTarget {
	if m != nil {
		return m.BuildTarget
	}
	return nil
}

func (m *VerifyAFDOArtifactsRequest) GetArtifactType() AFDOArtifactType {
	if m != nil {
		return m.ArtifactType
	}
	return AFDOArtifactType_NONE_TYPE
}

type VerifyAFDOArtifactsResponse struct {
	// Status of the service
	Status               bool     `protobuf:"varint,1,opt,name=status,proto3" json:"status,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *VerifyAFDOArtifactsResponse) Reset()         { *m = VerifyAFDOArtifactsResponse{} }
func (m *VerifyAFDOArtifactsResponse) String() string { return proto.CompactTextString(m) }
func (*VerifyAFDOArtifactsResponse) ProtoMessage()    {}
func (*VerifyAFDOArtifactsResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_7ff43bdb7436d394, []int{1}
}

func (m *VerifyAFDOArtifactsResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_VerifyAFDOArtifactsResponse.Unmarshal(m, b)
}
func (m *VerifyAFDOArtifactsResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_VerifyAFDOArtifactsResponse.Marshal(b, m, deterministic)
}
func (m *VerifyAFDOArtifactsResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_VerifyAFDOArtifactsResponse.Merge(m, src)
}
func (m *VerifyAFDOArtifactsResponse) XXX_Size() int {
	return xxx_messageInfo_VerifyAFDOArtifactsResponse.Size(m)
}
func (m *VerifyAFDOArtifactsResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_VerifyAFDOArtifactsResponse.DiscardUnknown(m)
}

var xxx_messageInfo_VerifyAFDOArtifactsResponse proto.InternalMessageInfo

func (m *VerifyAFDOArtifactsResponse) GetStatus() bool {
	if m != nil {
		return m.Status
	}
	return false
}

func init() {
	proto.RegisterEnum("chromite.api.AFDOArtifactType", AFDOArtifactType_name, AFDOArtifactType_value)
	proto.RegisterType((*VerifyAFDOArtifactsRequest)(nil), "chromite.api.VerifyAFDOArtifactsRequest")
	proto.RegisterType((*VerifyAFDOArtifactsResponse)(nil), "chromite.api.VerifyAFDOArtifactsResponse")
}

func init() { proto.RegisterFile("chromite/api/toolchain.proto", fileDescriptor_7ff43bdb7436d394) }

var fileDescriptor_7ff43bdb7436d394 = []byte{
	// 402 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xb4, 0x52, 0xcd, 0x8e, 0xd3, 0x30,
	0x18, 0x24, 0x05, 0xad, 0x58, 0xb7, 0x5d, 0x82, 0x0f, 0xec, 0x12, 0x7e, 0xb4, 0xda, 0x53, 0xe1,
	0x90, 0x48, 0x45, 0x20, 0xc4, 0xad, 0xed, 0x7a, 0x55, 0xd4, 0x36, 0x41, 0x26, 0x2d, 0x82, 0x4b,
	0xe4, 0x26, 0x4e, 0x6a, 0xa9, 0xa9, 0x8d, 0xf3, 0x05, 0xa9, 0x0f, 0xc1, 0x23, 0xf0, 0x32, 0xbc,
	0x0f, 0xef, 0x80, 0xf2, 0xd3, 0x36, 0x45, 0x20, 0x71, 0xd9, 0xe3, 0xcc, 0x7c, 0x19, 0x8f, 0x26,
	0x83, 0x9e, 0x86, 0x2b, 0x2d, 0x53, 0x01, 0xdc, 0x61, 0x4a, 0x38, 0x20, 0xe5, 0x3a, 0x5c, 0x31,
	0xb1, 0xb1, 0x95, 0x96, 0x20, 0x71, 0x67, 0xa7, 0xda, 0x4c, 0x09, 0xeb, 0xf8, 0x76, 0x99, 0x8b,
	0x75, 0x14, 0x30, 0x25, 0xaa, 0x5b, 0xeb, 0xbc, 0x52, 0xf3, 0x54, 0x66, 0x4e, 0x28, 0xd3, 0x54,
	0xd6, 0x26, 0x57, 0x3f, 0x0c, 0x64, 0x2d, 0xb8, 0x16, 0xf1, 0x76, 0x70, 0x73, 0xed, 0x0d, 0x34,
	0x88, 0x98, 0x85, 0x90, 0x51, 0xfe, 0x35, 0xe7, 0x19, 0xe0, 0x77, 0xa8, 0x53, 0x59, 0x01, 0xd3,
	0x09, 0x87, 0x0b, 0xe3, 0xd2, 0xe8, 0xb5, 0xfb, 0xe7, 0xf6, 0xc1, 0xce, 0x1e, 0x16, 0xba, 0x5f,
	0xca, 0xb4, 0xbd, 0x3c, 0x00, 0x3c, 0x42, 0x5d, 0x56, 0xfb, 0x05, 0xb0, 0x55, 0xfc, 0xa2, 0x75,
	0x69, 0xf4, 0xce, 0xfa, 0xcf, 0xed, 0x66, 0x6e, 0xbb, 0xf9, 0xac, 0xbf, 0x55, 0x9c, 0x76, 0x58,
	0x03, 0x5d, 0xbd, 0x46, 0x4f, 0xfe, 0x1a, 0x2f, 0x53, 0x72, 0x93, 0x71, 0xfc, 0x08, 0x9d, 0x64,
	0xc0, 0x20, 0xcf, 0xca, 0x64, 0xf7, 0x69, 0x8d, 0x5e, 0xc6, 0xc8, 0xfc, 0xd3, 0x18, 0x77, 0xd1,
	0xa9, 0xeb, 0xb9, 0x24, 0xf0, 0x3f, 0x7f, 0x20, 0xe6, 0x9d, 0x02, 0x7a, 0xf4, 0x9a, 0xd0, 0x9b,
	0xf7, 0x53, 0x62, 0x1a, 0x18, 0xa3, 0xb3, 0x21, 0x71, 0x47, 0xe3, 0xd9, 0x80, 0x4e, 0x82, 0xe2,
	0x5b, 0xb3, 0x85, 0x1f, 0xa0, 0xf6, 0x84, 0x50, 0x97, 0x4c, 0x2b, 0xe2, 0x6e, 0x41, 0x8c, 0xc6,
	0xd4, 0x9b, 0x91, 0x8a, 0xb8, 0xd7, 0xff, 0xde, 0x42, 0xa6, 0xbf, 0xfb, 0x2f, 0x1f, 0xb9, 0xfe,
	0x26, 0x42, 0x8e, 0x01, 0x3d, 0x9b, 0xab, 0x88, 0x01, 0x27, 0x65, 0x1d, 0x9f, 0x04, 0xac, 0x8e,
	0xd2, 0xe3, 0xde, 0x71, 0x05, 0xff, 0xee, 0xdf, 0x7a, 0xf1, 0x1f, 0x97, 0x75, 0x15, 0x0a, 0x3d,
	0x9e, 0xab, 0xb5, 0x64, 0xd1, 0x82, 0x03, 0xf0, 0xe8, 0xf6, 0x5f, 0xb4, 0x1e, 0xfe, 0xfc, 0x65,
	0x75, 0xd1, 0xe9, 0x7e, 0x97, 0xa6, 0x31, 0x7c, 0xfb, 0xe5, 0x4d, 0x22, 0xf7, 0xeb, 0xb0, 0xa5,
	0x4e, 0x9c, 0xc6, 0xf2, 0xc4, 0x26, 0xd6, 0xcc, 0x29, 0x87, 0xe7, 0x24, 0xd2, 0x69, 0x2e, 0x76,
	0x79, 0x52, 0xd2, 0xaf, 0x7e, 0x07, 0x00, 0x00, 0xff, 0xff, 0x82, 0xf4, 0xa6, 0x63, 0xf4, 0x02,
	0x00, 0x00,
}
