// Code generated by protoc-gen-go. DO NOT EDIT.
// source: test_platform/multibot/statemachine.proto

package test_platform_multibot

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type FollowerStateChange_State int32

const (
	FollowerStateChange_STATE_UNDEFINED FollowerStateChange_State = 0
	// Follower task has started executing. Note: follower will enter this state
	// automatically once it starts.
	FollowerStateChange_STATE_STARTED FollowerStateChange_State = 16
	// Follower task is waiting; payload has not started running.
	// Note: follower will enter this state automatically after finishing
	// prejob work and informing leader.
	FollowerStateChange_STATE_WAITING_TO_RUN_PAYLOAD FollowerStateChange_State = 32
	// Follower task is waiting; payload is running on leader.
	FollowerStateChange_STATE_RUNNING_PAYLOAD FollowerStateChange_State = 48
	// Follower task is running any necessary cleanup, after which it will
	// terminate.
	FollowerStateChange_STATE_CLEANING FollowerStateChange_State = 64
)

var FollowerStateChange_State_name = map[int32]string{
	0:  "STATE_UNDEFINED",
	16: "STATE_STARTED",
	32: "STATE_WAITING_TO_RUN_PAYLOAD",
	48: "STATE_RUNNING_PAYLOAD",
	64: "STATE_CLEANING",
}

var FollowerStateChange_State_value = map[string]int32{
	"STATE_UNDEFINED":              0,
	"STATE_STARTED":                16,
	"STATE_WAITING_TO_RUN_PAYLOAD": 32,
	"STATE_RUNNING_PAYLOAD":        48,
	"STATE_CLEANING":               64,
}

func (x FollowerStateChange_State) String() string {
	return proto.EnumName(FollowerStateChange_State_name, int32(x))
}

func (FollowerStateChange_State) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_99d026108e46a74d, []int{0, 0}
}

// FollowerStateChange is sent over the multibot Leader->Follower channel, to
// carry state change information. The follower will only respect forward state
// changes
type FollowerStateChange struct {
	NewState             FollowerStateChange_State `protobuf:"varint,1,opt,name=new_state,json=newState,proto3,enum=test_platform.multibot.FollowerStateChange_State" json:"new_state,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                  `json:"-"`
	XXX_unrecognized     []byte                    `json:"-"`
	XXX_sizecache        int32                     `json:"-"`
}

func (m *FollowerStateChange) Reset()         { *m = FollowerStateChange{} }
func (m *FollowerStateChange) String() string { return proto.CompactTextString(m) }
func (*FollowerStateChange) ProtoMessage()    {}
func (*FollowerStateChange) Descriptor() ([]byte, []int) {
	return fileDescriptor_99d026108e46a74d, []int{0}
}

func (m *FollowerStateChange) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_FollowerStateChange.Unmarshal(m, b)
}
func (m *FollowerStateChange) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_FollowerStateChange.Marshal(b, m, deterministic)
}
func (m *FollowerStateChange) XXX_Merge(src proto.Message) {
	xxx_messageInfo_FollowerStateChange.Merge(m, src)
}
func (m *FollowerStateChange) XXX_Size() int {
	return xxx_messageInfo_FollowerStateChange.Size(m)
}
func (m *FollowerStateChange) XXX_DiscardUnknown() {
	xxx_messageInfo_FollowerStateChange.DiscardUnknown(m)
}

var xxx_messageInfo_FollowerStateChange proto.InternalMessageInfo

func (m *FollowerStateChange) GetNewState() FollowerStateChange_State {
	if m != nil {
		return m.NewState
	}
	return FollowerStateChange_STATE_UNDEFINED
}

// FollowerEvent is sent over the multibot Follower->Leader channel, to carry
// follower event information. The leader may use this to change state,
// depending on leader-specific logic and its internal state.
type FollowerEvent struct {
	// Types that are valid to be assigned to Event:
	//	*FollowerEvent_FinishedPrejob_
	//	*FollowerEvent_Died
	Event                isFollowerEvent_Event `protobuf_oneof:"event"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *FollowerEvent) Reset()         { *m = FollowerEvent{} }
func (m *FollowerEvent) String() string { return proto.CompactTextString(m) }
func (*FollowerEvent) ProtoMessage()    {}
func (*FollowerEvent) Descriptor() ([]byte, []int) {
	return fileDescriptor_99d026108e46a74d, []int{1}
}

func (m *FollowerEvent) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_FollowerEvent.Unmarshal(m, b)
}
func (m *FollowerEvent) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_FollowerEvent.Marshal(b, m, deterministic)
}
func (m *FollowerEvent) XXX_Merge(src proto.Message) {
	xxx_messageInfo_FollowerEvent.Merge(m, src)
}
func (m *FollowerEvent) XXX_Size() int {
	return xxx_messageInfo_FollowerEvent.Size(m)
}
func (m *FollowerEvent) XXX_DiscardUnknown() {
	xxx_messageInfo_FollowerEvent.DiscardUnknown(m)
}

var xxx_messageInfo_FollowerEvent proto.InternalMessageInfo

type isFollowerEvent_Event interface {
	isFollowerEvent_Event()
}

type FollowerEvent_FinishedPrejob_ struct {
	FinishedPrejob *FollowerEvent_FinishedPrejob `protobuf:"bytes,1,opt,name=finished_prejob,json=finishedPrejob,proto3,oneof"`
}

type FollowerEvent_Died struct {
	Died bool `protobuf:"varint,2,opt,name=died,proto3,oneof"`
}

func (*FollowerEvent_FinishedPrejob_) isFollowerEvent_Event() {}

func (*FollowerEvent_Died) isFollowerEvent_Event() {}

func (m *FollowerEvent) GetEvent() isFollowerEvent_Event {
	if m != nil {
		return m.Event
	}
	return nil
}

func (m *FollowerEvent) GetFinishedPrejob() *FollowerEvent_FinishedPrejob {
	if x, ok := m.GetEvent().(*FollowerEvent_FinishedPrejob_); ok {
		return x.FinishedPrejob
	}
	return nil
}

func (m *FollowerEvent) GetDied() bool {
	if x, ok := m.GetEvent().(*FollowerEvent_Died); ok {
		return x.Died
	}
	return false
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*FollowerEvent) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*FollowerEvent_FinishedPrejob_)(nil),
		(*FollowerEvent_Died)(nil),
	}
}

type FollowerEvent_FinishedPrejob struct {
	BotInto              *BotInfo `protobuf:"bytes,1,opt,name=bot_into,json=botInto,proto3" json:"bot_into,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *FollowerEvent_FinishedPrejob) Reset()         { *m = FollowerEvent_FinishedPrejob{} }
func (m *FollowerEvent_FinishedPrejob) String() string { return proto.CompactTextString(m) }
func (*FollowerEvent_FinishedPrejob) ProtoMessage()    {}
func (*FollowerEvent_FinishedPrejob) Descriptor() ([]byte, []int) {
	return fileDescriptor_99d026108e46a74d, []int{1, 0}
}

func (m *FollowerEvent_FinishedPrejob) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_FollowerEvent_FinishedPrejob.Unmarshal(m, b)
}
func (m *FollowerEvent_FinishedPrejob) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_FollowerEvent_FinishedPrejob.Marshal(b, m, deterministic)
}
func (m *FollowerEvent_FinishedPrejob) XXX_Merge(src proto.Message) {
	xxx_messageInfo_FollowerEvent_FinishedPrejob.Merge(m, src)
}
func (m *FollowerEvent_FinishedPrejob) XXX_Size() int {
	return xxx_messageInfo_FollowerEvent_FinishedPrejob.Size(m)
}
func (m *FollowerEvent_FinishedPrejob) XXX_DiscardUnknown() {
	xxx_messageInfo_FollowerEvent_FinishedPrejob.DiscardUnknown(m)
}

var xxx_messageInfo_FollowerEvent_FinishedPrejob proto.InternalMessageInfo

func (m *FollowerEvent_FinishedPrejob) GetBotInto() *BotInfo {
	if m != nil {
		return m.BotInto
	}
	return nil
}

// Snapshot of DUT and bot state. Primarily for transferring follower's info
// to its leader task.
type BotInfo struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *BotInfo) Reset()         { *m = BotInfo{} }
func (m *BotInfo) String() string { return proto.CompactTextString(m) }
func (*BotInfo) ProtoMessage()    {}
func (*BotInfo) Descriptor() ([]byte, []int) {
	return fileDescriptor_99d026108e46a74d, []int{2}
}

func (m *BotInfo) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_BotInfo.Unmarshal(m, b)
}
func (m *BotInfo) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_BotInfo.Marshal(b, m, deterministic)
}
func (m *BotInfo) XXX_Merge(src proto.Message) {
	xxx_messageInfo_BotInfo.Merge(m, src)
}
func (m *BotInfo) XXX_Size() int {
	return xxx_messageInfo_BotInfo.Size(m)
}
func (m *BotInfo) XXX_DiscardUnknown() {
	xxx_messageInfo_BotInfo.DiscardUnknown(m)
}

var xxx_messageInfo_BotInfo proto.InternalMessageInfo

func init() {
	proto.RegisterEnum("test_platform.multibot.FollowerStateChange_State", FollowerStateChange_State_name, FollowerStateChange_State_value)
	proto.RegisterType((*FollowerStateChange)(nil), "test_platform.multibot.FollowerStateChange")
	proto.RegisterType((*FollowerEvent)(nil), "test_platform.multibot.FollowerEvent")
	proto.RegisterType((*FollowerEvent_FinishedPrejob)(nil), "test_platform.multibot.FollowerEvent.FinishedPrejob")
	proto.RegisterType((*BotInfo)(nil), "test_platform.multibot.BotInfo")
}

func init() {
	proto.RegisterFile("test_platform/multibot/statemachine.proto", fileDescriptor_99d026108e46a74d)
}

var fileDescriptor_99d026108e46a74d = []byte{
	// 349 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x84, 0x91, 0x41, 0x4f, 0xea, 0x40,
	0x14, 0x85, 0xe9, 0xcb, 0xe3, 0x01, 0xf7, 0x85, 0xd2, 0x37, 0x3c, 0x0d, 0x1a, 0x13, 0x9b, 0xae,
	0x70, 0x53, 0x14, 0x5d, 0xb9, 0xb2, 0xd0, 0x22, 0x4d, 0xc8, 0x40, 0x86, 0x12, 0xe3, 0x6a, 0xd2,
	0xca, 0x54, 0x6a, 0xca, 0x0c, 0x29, 0xa3, 0x6c, 0xfd, 0xa3, 0xee, 0xfd, 0x19, 0xa6, 0x53, 0x58,
	0x90, 0x60, 0xdc, 0x9d, 0xb9, 0xe7, 0x7c, 0x37, 0xe7, 0x66, 0xe0, 0x42, 0xb2, 0xb5, 0xa4, 0xab,
	0x34, 0x94, 0xb1, 0xc8, 0x96, 0x9d, 0xe5, 0x6b, 0x2a, 0x93, 0x48, 0xc8, 0xce, 0x5a, 0x86, 0x92,
	0x2d, 0xc3, 0xa7, 0x45, 0xc2, 0x99, 0xbd, 0xca, 0x84, 0x14, 0xe8, 0x78, 0x2f, 0x6a, 0xef, 0xa2,
	0xd6, 0xa7, 0x06, 0xcd, 0x81, 0x48, 0x53, 0xb1, 0x61, 0xd9, 0x34, 0xc7, 0xfa, 0x8b, 0x90, 0x3f,
	0x33, 0x84, 0xa1, 0xc6, 0xd9, 0x86, 0xaa, 0x4d, 0x2d, 0xcd, 0xd4, 0xda, 0x7a, 0xf7, 0xca, 0x3e,
	0xbc, 0xc3, 0x3e, 0xc0, 0xdb, 0x4a, 0x93, 0x2a, 0x67, 0x1b, 0xa5, 0xac, 0x77, 0x0d, 0xca, 0x4a,
	0xa1, 0x26, 0x34, 0xa6, 0x81, 0x13, 0x78, 0x74, 0x86, 0x5d, 0x6f, 0xe0, 0x63, 0xcf, 0x35, 0x4a,
	0xe8, 0x1f, 0xd4, 0x8b, 0xe1, 0x34, 0x70, 0x48, 0xe0, 0xb9, 0x86, 0x81, 0x4c, 0x38, 0x2b, 0x46,
	0x0f, 0x8e, 0x1f, 0xf8, 0xf8, 0x9e, 0x06, 0x63, 0x4a, 0x66, 0x98, 0x4e, 0x9c, 0xc7, 0xd1, 0xd8,
	0x71, 0x0d, 0x13, 0x9d, 0xc0, 0x51, 0x91, 0x20, 0x33, 0x8c, 0xf3, 0xc4, 0xce, 0xba, 0x44, 0x08,
	0xf4, 0xc2, 0xea, 0x8f, 0x3c, 0x27, 0xf7, 0x8c, 0x3b, 0xeb, 0x43, 0x83, 0xfa, 0xae, 0xaa, 0xf7,
	0xc6, 0xb8, 0x44, 0x14, 0x1a, 0x71, 0xc2, 0x93, 0xf5, 0x82, 0xcd, 0xe9, 0x2a, 0x63, 0x2f, 0x22,
	0x52, 0xa7, 0xfe, 0xed, 0xde, 0xfc, 0x74, 0xaa, 0xe2, 0xed, 0xc1, 0x16, 0x9e, 0x28, 0x76, 0x58,
	0x22, 0x7a, 0xbc, 0x37, 0x41, 0xff, 0xe1, 0xf7, 0x3c, 0x61, 0xf3, 0xd6, 0x2f, 0x53, 0x6b, 0x57,
	0x87, 0x25, 0xa2, 0x5e, 0xa7, 0x23, 0xd0, 0xf7, 0x49, 0x74, 0x0b, 0xd5, 0x48, 0x48, 0x9a, 0x70,
	0x29, 0xb6, 0x0d, 0xce, 0xbf, 0x6b, 0xd0, 0x13, 0xd2, 0xe7, 0xb1, 0x20, 0x95, 0x28, 0x17, 0x52,
	0xf4, 0x2a, 0x50, 0x66, 0x79, 0x1b, 0xab, 0x06, 0x95, 0xad, 0x19, 0xfd, 0x51, 0x9f, 0x7e, 0xfd,
	0x15, 0x00, 0x00, 0xff, 0xff, 0x30, 0x37, 0x43, 0x69, 0x21, 0x02, 0x00, 0x00,
}
