// Code generated by protoc-gen-go. DO NOT EDIT.
// source: testplans/source_tree_test_config.proto

package testplans

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	chromiumos "go.chromium.org/chromiumos/infra/proto/go/chromiumos"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

// Testing restrictions to apply to a source tree.
type TestRestriction struct {
	// Whether to disable hardware test suites.
	DisableHwTests bool `protobuf:"varint,1,opt,name=disable_hw_tests,json=disableHwTests,proto3" json:"disable_hw_tests,omitempty"`
	// Whether to disable virtual machine test suites.
	DisableVmTests bool `protobuf:"varint,3,opt,name=disable_vm_tests,json=disableVmTests,proto3" json:"disable_vm_tests,omitempty"`
	// Whether to disable non-Tast-based test suites.
	DisableNonTastTests bool `protobuf:"varint,5,opt,name=disable_non_tast_tests,json=disableNonTastTests,proto3" json:"disable_non_tast_tests,omitempty"`
	// A subset of build targets for which testing should be performed.
	// If this is nonempty, hw/vm tests will *only* be done for the provided
	// list of build targets.
	OnlyTestBuildTargets []*chromiumos.BuildTarget `protobuf:"bytes,4,rep,name=only_test_build_targets,json=onlyTestBuildTargets,proto3" json:"only_test_build_targets,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                  `json:"-"`
	XXX_unrecognized     []byte                    `json:"-"`
	XXX_sizecache        int32                     `json:"-"`
}

func (m *TestRestriction) Reset()         { *m = TestRestriction{} }
func (m *TestRestriction) String() string { return proto.CompactTextString(m) }
func (*TestRestriction) ProtoMessage()    {}
func (*TestRestriction) Descriptor() ([]byte, []int) {
	return fileDescriptor_9aed450ade7161bc, []int{0}
}

func (m *TestRestriction) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TestRestriction.Unmarshal(m, b)
}
func (m *TestRestriction) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TestRestriction.Marshal(b, m, deterministic)
}
func (m *TestRestriction) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TestRestriction.Merge(m, src)
}
func (m *TestRestriction) XXX_Size() int {
	return xxx_messageInfo_TestRestriction.Size(m)
}
func (m *TestRestriction) XXX_DiscardUnknown() {
	xxx_messageInfo_TestRestriction.DiscardUnknown(m)
}

var xxx_messageInfo_TestRestriction proto.InternalMessageInfo

func (m *TestRestriction) GetDisableHwTests() bool {
	if m != nil {
		return m.DisableHwTests
	}
	return false
}

func (m *TestRestriction) GetDisableVmTests() bool {
	if m != nil {
		return m.DisableVmTests
	}
	return false
}

func (m *TestRestriction) GetDisableNonTastTests() bool {
	if m != nil {
		return m.DisableNonTastTests
	}
	return false
}

func (m *TestRestriction) GetOnlyTestBuildTargets() []*chromiumos.BuildTarget {
	if m != nil {
		return m.OnlyTestBuildTargets
	}
	return nil
}

// A set of test restrictions for a source tree.
type SourceTreeTestRestriction struct {
	// A CrOS source tree.
	SourceTree *SourceTree `protobuf:"bytes,1,opt,name=source_tree,json=sourceTree,proto3" json:"source_tree,omitempty"`
	// The test restrictions to apply to the source tree.
	TestRestriction      *TestRestriction `protobuf:"bytes,2,opt,name=test_restriction,json=testRestriction,proto3" json:"test_restriction,omitempty"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-"`
	XXX_unrecognized     []byte           `json:"-"`
	XXX_sizecache        int32            `json:"-"`
}

func (m *SourceTreeTestRestriction) Reset()         { *m = SourceTreeTestRestriction{} }
func (m *SourceTreeTestRestriction) String() string { return proto.CompactTextString(m) }
func (*SourceTreeTestRestriction) ProtoMessage()    {}
func (*SourceTreeTestRestriction) Descriptor() ([]byte, []int) {
	return fileDescriptor_9aed450ade7161bc, []int{1}
}

func (m *SourceTreeTestRestriction) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SourceTreeTestRestriction.Unmarshal(m, b)
}
func (m *SourceTreeTestRestriction) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SourceTreeTestRestriction.Marshal(b, m, deterministic)
}
func (m *SourceTreeTestRestriction) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SourceTreeTestRestriction.Merge(m, src)
}
func (m *SourceTreeTestRestriction) XXX_Size() int {
	return xxx_messageInfo_SourceTreeTestRestriction.Size(m)
}
func (m *SourceTreeTestRestriction) XXX_DiscardUnknown() {
	xxx_messageInfo_SourceTreeTestRestriction.DiscardUnknown(m)
}

var xxx_messageInfo_SourceTreeTestRestriction proto.InternalMessageInfo

func (m *SourceTreeTestRestriction) GetSourceTree() *SourceTree {
	if m != nil {
		return m.SourceTree
	}
	return nil
}

func (m *SourceTreeTestRestriction) GetTestRestriction() *TestRestriction {
	if m != nil {
		return m.TestRestriction
	}
	return nil
}

// Configures test restrictions for all relevant source trees.
// This is the root message.
type SourceTreeTestCfg struct {
	// (Source tree, test restriction) pairs.
	SourceTreeTestRestriction []*SourceTreeTestRestriction `protobuf:"bytes,1,rep,name=source_tree_test_restriction,json=sourceTreeTestRestriction,proto3" json:"source_tree_test_restriction,omitempty"`
	XXX_NoUnkeyedLiteral      struct{}                     `json:"-"`
	XXX_unrecognized          []byte                       `json:"-"`
	XXX_sizecache             int32                        `json:"-"`
}

func (m *SourceTreeTestCfg) Reset()         { *m = SourceTreeTestCfg{} }
func (m *SourceTreeTestCfg) String() string { return proto.CompactTextString(m) }
func (*SourceTreeTestCfg) ProtoMessage()    {}
func (*SourceTreeTestCfg) Descriptor() ([]byte, []int) {
	return fileDescriptor_9aed450ade7161bc, []int{2}
}

func (m *SourceTreeTestCfg) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SourceTreeTestCfg.Unmarshal(m, b)
}
func (m *SourceTreeTestCfg) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SourceTreeTestCfg.Marshal(b, m, deterministic)
}
func (m *SourceTreeTestCfg) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SourceTreeTestCfg.Merge(m, src)
}
func (m *SourceTreeTestCfg) XXX_Size() int {
	return xxx_messageInfo_SourceTreeTestCfg.Size(m)
}
func (m *SourceTreeTestCfg) XXX_DiscardUnknown() {
	xxx_messageInfo_SourceTreeTestCfg.DiscardUnknown(m)
}

var xxx_messageInfo_SourceTreeTestCfg proto.InternalMessageInfo

func (m *SourceTreeTestCfg) GetSourceTreeTestRestriction() []*SourceTreeTestRestriction {
	if m != nil {
		return m.SourceTreeTestRestriction
	}
	return nil
}

func init() {
	proto.RegisterType((*TestRestriction)(nil), "testplans.TestRestriction")
	proto.RegisterType((*SourceTreeTestRestriction)(nil), "testplans.SourceTreeTestRestriction")
	proto.RegisterType((*SourceTreeTestCfg)(nil), "testplans.SourceTreeTestCfg")
}

func init() {
	proto.RegisterFile("testplans/source_tree_test_config.proto", fileDescriptor_9aed450ade7161bc)
}

var fileDescriptor_9aed450ade7161bc = []byte{
	// 347 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x74, 0x92, 0xcd, 0x4a, 0xc3, 0x40,
	0x14, 0x85, 0x89, 0x55, 0xd1, 0x29, 0xd8, 0x1a, 0xb5, 0x7f, 0xb8, 0x28, 0x45, 0xb0, 0xab, 0x04,
	0x5a, 0xf4, 0x01, 0x2a, 0x82, 0xab, 0x2e, 0x62, 0x70, 0xe1, 0x26, 0xa4, 0xe9, 0x34, 0x1d, 0x48,
	0xe6, 0x96, 0xb9, 0xb7, 0x16, 0x7d, 0x14, 0x1f, 0xd1, 0xa7, 0x90, 0x4c, 0x62, 0x32, 0x8d, 0xba,
	0x0b, 0xe7, 0x7e, 0xe7, 0xfe, 0x9c, 0x0c, 0xbb, 0x25, 0x8e, 0xb4, 0x49, 0x42, 0x89, 0x2e, 0xc2,
	0x56, 0x45, 0x3c, 0x20, 0xc5, 0x79, 0x90, 0xa9, 0x41, 0x04, 0x72, 0x25, 0x62, 0x67, 0xa3, 0x80,
	0xc0, 0x3e, 0x2d, 0xc1, 0x41, 0x37, 0x5a, 0x2b, 0x48, 0xc5, 0x36, 0x05, 0x74, 0x23, 0x48, 0x53,
	0x90, 0x39, 0x33, 0xe8, 0x54, 0xcd, 0x4c, 0x7d, 0xf4, 0x65, 0xb1, 0x96, 0xcf, 0x91, 0x3c, 0x8e,
	0xa4, 0x44, 0x44, 0x02, 0xa4, 0x3d, 0x66, 0xed, 0xa5, 0xc0, 0x70, 0x91, 0xf0, 0x60, 0xbd, 0xd3,
	0xf3, 0xb0, 0x67, 0x0d, 0xad, 0xf1, 0x89, 0x77, 0x56, 0xe8, 0x4f, 0xbb, 0xcc, 0x83, 0x26, 0xf9,
	0x96, 0x16, 0x64, 0x63, 0x8f, 0x7c, 0x49, 0x73, 0x72, 0xca, 0x3a, 0x3f, 0xa4, 0x04, 0x19, 0x50,
	0x88, 0x54, 0xf0, 0x47, 0x9a, 0xbf, 0x28, 0xaa, 0x73, 0x90, 0x7e, 0x88, 0x94, 0x9b, 0xe6, 0xac,
	0x0b, 0x32, 0x79, 0xcf, 0x4f, 0x5e, 0x6c, 0x45, 0xb2, 0x0c, 0x28, 0x54, 0x31, 0x27, 0xec, 0x1d,
	0x0e, 0x1b, 0xe3, 0xe6, 0xa4, 0xeb, 0x54, 0xf7, 0x3a, 0xb3, 0x0c, 0xf0, 0x75, 0xdd, 0xbb, 0xcc,
	0x7c, 0x59, 0x13, 0x43, 0xc4, 0xd1, 0xa7, 0xc5, 0xfa, 0xcf, 0x3a, 0x4a, 0x5f, 0x71, 0x5e, 0x3f,
	0xfb, 0x9e, 0x35, 0x8d, 0x9c, 0xf5, 0xc5, 0xcd, 0xc9, 0x95, 0x53, 0x06, 0xe7, 0x54, 0x56, 0x8f,
	0x61, 0xf9, 0x6d, 0x3f, 0xb2, 0xb6, 0x5e, 0x50, 0x55, 0xbd, 0x7a, 0x07, 0xda, 0x3c, 0x30, 0xcc,
	0xb5, 0x69, 0x5e, 0x8b, 0xf6, 0x85, 0xd1, 0x07, 0x3b, 0xdf, 0xdf, 0xed, 0x61, 0x15, 0xdb, 0x9c,
	0x5d, 0xff, 0xfa, 0xf7, 0xe6, 0x1c, 0x4b, 0xc7, 0x70, 0xf3, 0xe7, 0x92, 0xf5, 0x89, 0x7d, 0xfc,
	0xaf, 0x34, 0xbb, 0x7b, 0x9d, 0xc6, 0x50, 0x66, 0xe9, 0x80, 0x8a, 0x5d, 0xe3, 0x21, 0x09, 0xb9,
	0x52, 0xa1, 0xab, 0xdf, 0x8b, 0x1b, 0x83, 0x5b, 0xce, 0x5a, 0x1c, 0x6b, 0x6d, 0xfa, 0x1d, 0x00,
	0x00, 0xff, 0xff, 0x74, 0x4a, 0x12, 0xfa, 0xaa, 0x02, 0x00, 0x00,
}
